Option Strict Off
Option Explicit On 
Imports System.Data.SqlClient
Imports System.Data.SqlTypes

Friend Class clsAddOrder

   Public Function AddNewOrder(ByVal strServer As String, ByVal strUser As String, ByVal strPwd As String, ByVal intCustID As Integer, ByVal datOrderDate As Date, ByVal datRequiredDate As Date, ByVal blnPartialShip As Boolean, ByVal bytCardID As Byte, ByVal bytShipToID As Byte, ByVal bytShipTypeID As Byte, ByVal blnSalesTax As Boolean) As Integer
      'Creates and passes a connection to AddNewOrderConn

      Dim cnnOrder As SqlConnection = New SqlConnection()
      Dim trnOrder As SqlTransaction = Nothing
      'Dim cnnOrder As New ADODB.Connection()
      Dim strOrderConn As String

      On Error Resume Next

      'strOrderConn = "Provider=SQLOLEDB;Data Source=" & strServer & ";Initial Catalog=OCE_Cust;UID=" & strUser & ";PWD=" & strPwd
      cnnOrder.ConnectionString = "Data Source=" & strServer & ";Initial Catalog=OCE_Cust;UID=" & strUser & ";PWD=" & strPwd
      'cnnOrder.Open(strOrderConn)
      cnnOrder.Open()
      If Err.Number <> 0 Then
         'Connection failed
         AddNewOrder = -1
         Exit Function
      End If
      AddNewOrder = AddNewOrderConn(cnnOrder, trnOrder, intCustID, datOrderDate, datRequiredDate, blnPartialShip, bytCardID, bytShipToID, bytShipTypeID, blnSalesTax)

      cnnOrder.Close()
   End Function

   'Public Function AddNewOrderConn(ByRef cnnOrder As ADODB.Connection, ByVal intCustID As Integer, ByVal datOrderDate As Date, ByVal datRequiredDate As Date, ByVal blnPartialShip As Boolean, ByVal bytCardID As Byte, ByVal bytShipToID As Byte, ByVal bytShipTypeID As Byte, ByVal blnSalesTax As Boolean) As Integer
   Public Function AddNewOrderConn(ByRef cnnOrder As SqlConnection, ByRef trnOrder As SqlTransaction, ByVal intCustID As Integer, ByVal datOrderDate As Date, ByVal datRequiredDate As Date, ByVal blnPartialShip As Boolean, ByVal bytCardID As Byte, ByVal bytShipToID As Byte, ByVal bytShipTypeID As Byte, ByVal blnSalesTax As Boolean) As Integer
      'Adds a new order; returns OrderID if successful, error code if not.
      'Dim rstOrder As New ADODB.Recordset()
      Dim cmmOrder As SqlCommand = cnnOrder.CreateCommand
      Dim strSQL As String
      Dim strPartialShip As String
      Dim strSalesTax As String
      Dim intReccnt As Integer

      On Error Resume Next

      If blnPartialShip Then strPartialShip = "1" Else strPartialShip = "0"
      If blnSalesTax Then strSalesTax = "1" Else strSalesTax = "0"
      strSQL = "INSERT Orders(CustID, OrderDate, RequiredShipDate, " & "PartialShipOK, CardID, ShipTypeID, SalesTaxApplies, StatusID) " & "VALUES(" & intCustID & ", '" & datOrderDate & "' , "

      If Year(datRequiredDate) = 1899 Then strSQL = strSQL & "NULL" Else _
         strSQL = strSQL & "'" & datRequiredDate & "'"
      strSQL = strSQL & ", " & strPartialShip & ", " & bytCardID & ", " & bytShipTypeID & ", " & strSalesTax & ", 11)"

      'cnnOrder.Execute(strSQL, intReccnt, ADODB.CommandTypeEnum.adCmdText)
      With cmmOrder
         .CommandText = strSQL
         .CommandType = CommandType.Text
         If Not trnOrder Is Nothing Then
            .Transaction = trnOrder
         End If
         intReccnt = .ExecuteNonQuery()
      End With
      If Err.Number <> 0 Then
         'Execution failed
         AddNewOrderConn = -2
         Exit Function
      End If

      'If CInt(intReccnt) > 0 Then
      If intReccnt > 0 Then
         'Get the identity value for the connection
         strSQL = "SELECT @@identity"
         'rstOrder = cnnOrder.Execute(strSQL, , ADODB.CommandTypeEnum.adCmdText)
         With cmmOrder
            .CommandText = strSQL
            .CommandType = CommandType.Text
            AddNewOrderConn = CInt(.ExecuteScalar)
         End With
         If Err.Number <> 0 Then
            'Execution failed
            AddNewOrderConn = -3
            Exit Function
         End If

         'With rstOrder
         '   If .EOF Then
         'Couldn't find the order
         '      AddNewOrderConn = -4
         '   Else
         'Get the OrderID
         'AddNewOrderConn = CInt(.Fields(0).Value)
         'End If
         '.Close()
         'End With
      Else
         'Didn't add order
         AddNewOrderConn = -1
      End If
   End Function

   Public Function AddLineItem(ByVal strServer As String, ByVal strUser As String, ByVal strPwd As String, ByVal lngOrderID As Integer, ByVal bytItemID As Byte, ByVal bytQuan As Byte, ByVal strSKU As String, ByVal bytOutsourced As Byte, ByVal curUnitPrice As Decimal, ByVal sngDiscount As Single, ByVal curAllowance As Decimal, ByVal bytAllowType As Byte) As Decimal
      'Creates and passes a connection to AddLineItemConn
      Dim cnnItem As SqlConnection = New SqlConnection()
      'Dim cnnItem As New ADODB.Connection()
      Dim trnItem As SqlTransaction = Nothing
      Dim strItemConn As String

      On Error Resume Next

      cnnItem.ConnectionString = "Data Source=" & strServer & ";Initial Catalog=OCE_Cust;UID=" & strUser & ";PWD=" & strPwd
      'strItemConn = "Provider=SQLOLEDB;Data Source=" & strServer & ";Initial Catalog=OCE_Cust;UID=" & strUser & ";PWD=" & strPwd
      cnnItem.Open()
      'cnnItem.Open(strItemConn)

      If Err.Number <> 0 Then
         'Connection failed error
         AddLineItem = -1
         Exit Function
      End If

      'Pass the connection to the operative function
      AddLineItem = AddLineItemConn(cnnItem, trnItem, lngOrderID, bytItemID, bytQuan, strSKU, bytOutsourced, curUnitPrice, sngDiscount, curAllowance, bytAllowType)
      If Err.Number <> 0 Then
         'Function call failed
         AddLineItem = -2
      End If
      cnnItem.Close()
   End Function

   'Public Function AddLineItemConn(ByRef cnnItem As ADODB.Connection, ByVal lngOrderID As Integer, ByVal bytItemID As Byte, ByVal bytQuan As Byte, ByVal strSKU As String, ByVal bytOutsourced As Byte, ByVal curUnitPrice As Decimal, ByVal sngDiscount As Single, ByVal curAllowance As Decimal, ByVal bytAllowType As Byte) As Decimal
   Public Function AddLineItemConn(ByRef cnnItem As SqlConnection, ByVal trnItem As SqlTransaction, ByVal lngOrderID As Integer, ByVal bytItemID As Byte, ByVal bytQuan As Byte, ByVal strSKU As String, ByVal bytOutsourced As Byte, ByVal curUnitPrice As Decimal, ByVal sngDiscount As Single, ByVal curAllowance As Decimal, ByVal bytAllowType As Byte) As Decimal
      'Adds a line item and, if successful, returns the line item value (quantity * unit price)

      Dim cmmItem As SqlCommand = cnnItem.CreateCommand
      Dim strSQL As String
      Dim intReccnt As Integer

      On Error Resume Next

      strSQL = "INSERT LineItems VALUES(" & CStr(lngOrderID) & ", " & CStr(bytItemID) & ", " & CStr(bytQuan) & ", '" & strSKU & "', " & bytOutsourced & ", " & curUnitPrice & ", " & sngDiscount & ", " & curAllowance & ", " & bytAllowType & ", 11, NULL, 0)"

      'cnnItem.Execute(strSQL, intReccnt, ADODB.CommandTypeEnum.adCmdText)
      With cmmItem
         .CommandText = strSQL
         .CommandType = CommandType.Text
         If Not trnItem Is Nothing Then
            .Transaction = trnItem
         End If
         intReccnt = .ExecuteNonQuery()
      End With

      If Err.Number <> 0 Then
         AddLineItemConn = -3
      End If
      If CInt(intReccnt) > 0 Then
         AddLineItemConn = curUnitPrice * CDec(bytQuan)
      Else
         'Line item not added
         AddLineItemConn = 0
      End If
   End Function
End Class