CREATE PROCEDURE GetTop100 
@Cat1 char(4) = 'AMPL',
@Cat2 char(4) = 'DVCC',
@Cat3 char(4) = 'DVDP',
@Cat4 char(4) = 'RCVH',
@Cat5 char(4) = 'SPKF',
@Cat6 char(4) = 'TVRC'

AS
SELECT TOP 100 P.SKU, C.CategoryName AS Category, B.Brand, P.Model, P.Description, P.NetPrice, P.Quantity FROM Products AS P, Brands AS B, Categories AS C
WHERE B.BrandID = P.BrandID AND C.CategoryID = P.CategoryID AND 
P.CategoryID IN(@cat1, @cat2, @cat3, @cat4, @cat5, @cat6)
ORDER BY NetPrice DESC
GO
