Option Explicit On 
Option Strict On
Imports System.Data.SqlClient

Public Class frmHistory
   Inherits System.Windows.Forms.Form

   'Server, user IDs, passwords, and connection strings
   Private strCustServer As String = "(LOCAL)"
   Private strProdServer As String = "(LOCAL)"
   Private strNetServer As String = "(LOCAL)"
   Private strCustConn As String
   Private strProdConn As String
   Private strNetConn As String
   Private cnnCust As New SqlConnection()
   Private cnnProd As New SqlConnection()
   Private cnnNet As New SqlConnection()
   Private cmmCust As New SqlCommand()
   Private cmmProd As New SqlCommand()
   Private cmmNet As New SqlCommand()

   Private strSQL As String
   Private intOrders As Int32
   Private datStart As Date = #1/1/2002#
   Private blnHalt As Boolean

   Friend WithEvents txtOrders As System.Windows.Forms.TextBox
   Friend WithEvents lblOrders2 As System.Windows.Forms.Label
   Friend WithEvents updQuarters As System.Windows.Forms.NumericUpDown
   Friend WithEvents updOPDStart As System.Windows.Forms.NumericUpDown
   Friend WithEvents updOPDIncr As System.Windows.Forms.NumericUpDown
   Friend WithEvents txtStartDate As System.Windows.Forms.TextBox
   Friend WithEvents txtEndDate As System.Windows.Forms.TextBox
   Friend WithEvents pgbBulk As System.Windows.Forms.ProgressBar
   Friend WithEvents cmdTest As System.Windows.Forms.Button
   Friend WithEvents cmdCreditIncr As System.Windows.Forms.Button
   Friend WithEvents cmdCreditDecr As System.Windows.Forms.Button
   Friend WithEvents txtCreditMin As System.Windows.Forms.TextBox
   Friend WithEvents txtCreditMax As System.Windows.Forms.TextBox
   Friend WithEvents cmdCommitDates As System.Windows.Forms.Button
   Friend WithEvents txtOPD As System.Windows.Forms.TextBox
   Friend WithEvents fraBackdate As System.Windows.Forms.GroupBox
   Friend WithEvents lblOrders1 As System.Windows.Forms.Label
   Friend WithEvents cmdClose As System.Windows.Forms.Button
   Friend WithEvents ToolTip1 As System.Windows.Forms.ToolTip
   Friend WithEvents lblBack1 As System.Windows.Forms.Label
   Friend WithEvents lblBack2 As System.Windows.Forms.Label
   Friend WithEvents lblOPD1 As System.Windows.Forms.Label
   Friend WithEvents lblOPD2 As System.Windows.Forms.Label
   Friend WithEvents lblOPDIncr2 As System.Windows.Forms.Label
   Friend WithEvents lblOPDIncr1 As System.Windows.Forms.Label
   Friend WithEvents lblStartDate As System.Windows.Forms.Label
   Friend WithEvents lblEndDate As System.Windows.Forms.Label
   Friend WithEvents lblCreditMin As System.Windows.Forms.Label
   Friend WithEvents lblCreditMax As System.Windows.Forms.Label
   Friend WithEvents lblEndOPD As System.Windows.Forms.Label
   Friend WithEvents fraCreditAndInventory As System.Windows.Forms.GroupBox
   Friend WithEvents txtInvMax As System.Windows.Forms.TextBox
   Friend WithEvents txtInvMin As System.Windows.Forms.TextBox
   Friend WithEvents lblInvMax As System.Windows.Forms.Label
   Friend WithEvents lblInvMin As System.Windows.Forms.Label
   Friend WithEvents cmdInvDecr As System.Windows.Forms.Button
   Friend WithEvents cmdInvIncr As System.Windows.Forms.Button
   Friend WithEvents cmdHalt As System.Windows.Forms.Button


   Friend WithEvents cmdConnect As System.Windows.Forms.Button


#Region " Windows Form Designer generated code "

   Public Sub New()
      MyBase.New()

      'This call is required by the Windows Form Designer.
      InitializeComponent()
      'Add any initialization after the InitializeComponent() call
      'Set the connection strings
      strCustConn = "Data Source=" & strCustServer & ";Initial Catalog=OCE_Cust;Integrated Security=SSPI"
      strProdConn = "Data Source=" & strProdServer & ";Initial Catalog=OCE_Prod;Integrated Security=SSPI"
      strNetConn = ";Data Source=" & strNetServer & ";Initial Catalog=OMB_Network;Integrated Security=SSPI"
   End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
Me.components = New System.ComponentModel.Container()
Me.cmdTest = New System.Windows.Forms.Button()
Me.updQuarters = New System.Windows.Forms.NumericUpDown()
Me.updOPDStart = New System.Windows.Forms.NumericUpDown()
Me.lblBack1 = New System.Windows.Forms.Label()
Me.lblBack2 = New System.Windows.Forms.Label()
Me.lblOPD1 = New System.Windows.Forms.Label()
Me.lblOPD2 = New System.Windows.Forms.Label()
Me.lblOPDIncr2 = New System.Windows.Forms.Label()
Me.lblOPDIncr1 = New System.Windows.Forms.Label()
Me.updOPDIncr = New System.Windows.Forms.NumericUpDown()
Me.cmdCommitDates = New System.Windows.Forms.Button()
Me.txtStartDate = New System.Windows.Forms.TextBox()
Me.lblStartDate = New System.Windows.Forms.Label()
Me.lblEndDate = New System.Windows.Forms.Label()
Me.txtEndDate = New System.Windows.Forms.TextBox()
Me.cmdConnect = New System.Windows.Forms.Button()
Me.lblOrders1 = New System.Windows.Forms.Label()
Me.txtOrders = New System.Windows.Forms.TextBox()
Me.lblOrders2 = New System.Windows.Forms.Label()
Me.pgbBulk = New System.Windows.Forms.ProgressBar()
Me.cmdCreditIncr = New System.Windows.Forms.Button()
Me.cmdCreditDecr = New System.Windows.Forms.Button()
Me.lblCreditMin = New System.Windows.Forms.Label()
Me.lblCreditMax = New System.Windows.Forms.Label()
Me.txtCreditMin = New System.Windows.Forms.TextBox()
Me.txtCreditMax = New System.Windows.Forms.TextBox()
Me.txtOPD = New System.Windows.Forms.TextBox()
Me.lblEndOPD = New System.Windows.Forms.Label()
Me.fraBackdate = New System.Windows.Forms.GroupBox()
Me.cmdClose = New System.Windows.Forms.Button()
Me.ToolTip1 = New System.Windows.Forms.ToolTip(Me.components)
Me.txtInvMax = New System.Windows.Forms.TextBox()
Me.txtInvMin = New System.Windows.Forms.TextBox()
Me.cmdInvDecr = New System.Windows.Forms.Button()
Me.cmdInvIncr = New System.Windows.Forms.Button()
Me.cmdHalt = New System.Windows.Forms.Button()
Me.fraCreditAndInventory = New System.Windows.Forms.GroupBox()
Me.lblInvMin = New System.Windows.Forms.Label()
Me.lblInvMax = New System.Windows.Forms.Label()
CType(Me.updQuarters, System.ComponentModel.ISupportInitialize).BeginInit()
CType(Me.updOPDStart, System.ComponentModel.ISupportInitialize).BeginInit()
CType(Me.updOPDIncr, System.ComponentModel.ISupportInitialize).BeginInit()
Me.fraBackdate.SuspendLayout()
Me.fraCreditAndInventory.SuspendLayout()
Me.SuspendLayout()
'
'cmdTest
'
Me.cmdTest.BackColor = System.Drawing.SystemColors.Control
Me.cmdTest.Enabled = False
Me.cmdTest.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdTest.Location = New System.Drawing.Point(248, 77)
Me.cmdTest.Name = "cmdTest"
Me.cmdTest.Size = New System.Drawing.Size(72, 24)
Me.cmdTest.TabIndex = 5
Me.cmdTest.Text = "Test"
Me.ToolTip1.SetToolTip(Me.cmdTest, "Runs a test to determine the last order date and the number of orders on the last" & _
" day")
'
'updQuarters
'
Me.updQuarters.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.updQuarters.Location = New System.Drawing.Point(128, 80)
Me.updQuarters.Maximum = New Decimal(New Integer() {12, 0, 0, 0})
Me.updQuarters.Name = "updQuarters"
Me.updQuarters.Size = New System.Drawing.Size(40, 20)
Me.updQuarters.TabIndex = 1
Me.ToolTip1.SetToolTip(Me.updQuarters, "Sets set the earliers order date")
Me.updQuarters.Value = New Decimal(New Integer() {4, 0, 0, 0})
'
'updOPDStart
'
Me.updOPDStart.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.updOPDStart.Location = New System.Drawing.Point(128, 112)
Me.updOPDStart.Name = "updOPDStart"
Me.updOPDStart.Size = New System.Drawing.Size(40, 20)
Me.updOPDStart.TabIndex = 2
Me.ToolTip1.SetToolTip(Me.updOPDStart, "Sets the initial number of orders per day")
Me.updOPDStart.Value = New Decimal(New Integer() {2, 0, 0, 0})
'
'lblBack1
'
Me.lblBack1.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblBack1.Location = New System.Drawing.Point(56, 81)
Me.lblBack1.Name = "lblBack1"
Me.lblBack1.Size = New System.Drawing.Size(64, 16)
Me.lblBack1.TabIndex = 0
Me.lblBack1.Text = "Start Back:"
'
'lblBack2
'
Me.lblBack2.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblBack2.Location = New System.Drawing.Point(176, 82)
Me.lblBack2.Name = "lblBack2"
Me.lblBack2.Size = New System.Drawing.Size(56, 16)
Me.lblBack2.TabIndex = 4
Me.lblBack2.Text = "Quarters"
'
'lblOPD1
'
Me.lblOPD1.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblOPD1.Location = New System.Drawing.Point(56, 113)
Me.lblOPD1.Name = "lblOPD1"
Me.lblOPD1.Size = New System.Drawing.Size(72, 16)
Me.lblOPD1.TabIndex = 5
Me.lblOPD1.Text = "Orders/Day:"
'
'lblOPD2
'
Me.lblOPD2.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblOPD2.Location = New System.Drawing.Point(176, 114)
Me.lblOPD2.Name = "lblOPD2"
Me.lblOPD2.Size = New System.Drawing.Size(56, 16)
Me.lblOPD2.TabIndex = 6
Me.lblOPD2.Text = "Starting"
'
'lblOPDIncr2
'
Me.lblOPDIncr2.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblOPDIncr2.Location = New System.Drawing.Point(176, 146)
Me.lblOPDIncr2.Name = "lblOPDIncr2"
Me.lblOPDIncr2.Size = New System.Drawing.Size(56, 16)
Me.lblOPDIncr2.TabIndex = 9
Me.lblOPDIncr2.Text = "Increment"
'
'lblOPDIncr1
'
Me.lblOPDIncr1.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblOPDIncr1.Location = New System.Drawing.Point(56, 145)
Me.lblOPDIncr1.Name = "lblOPDIncr1"
Me.lblOPDIncr1.Size = New System.Drawing.Size(72, 16)
Me.lblOPDIncr1.TabIndex = 8
Me.lblOPDIncr1.Text = "Orders/Day:"
'
'updOPDIncr
'
Me.updOPDIncr.DecimalPlaces = 1
Me.updOPDIncr.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.updOPDIncr.Increment = New Decimal(New Integer() {1, 0, 0, 65536})
Me.updOPDIncr.Location = New System.Drawing.Point(128, 144)
Me.updOPDIncr.Maximum = New Decimal(New Integer() {5, 0, 0, 0})
Me.updOPDIncr.Name = "updOPDIncr"
Me.updOPDIncr.Size = New System.Drawing.Size(40, 20)
Me.updOPDIncr.TabIndex = 3
Me.ToolTip1.SetToolTip(Me.updOPDIncr, "Sets the number of orders to add per day")
Me.updOPDIncr.Value = New Decimal(New Integer() {2, 0, 0, 65536})
'
'cmdCommitDates
'
Me.cmdCommitDates.BackColor = System.Drawing.SystemColors.Control
Me.cmdCommitDates.Enabled = False
Me.cmdCommitDates.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdCommitDates.Location = New System.Drawing.Point(248, 109)
Me.cmdCommitDates.Name = "cmdCommitDates"
Me.cmdCommitDates.Size = New System.Drawing.Size(72, 24)
Me.cmdCommitDates.TabIndex = 6
Me.cmdCommitDates.Text = "Commit"
'
'txtStartDate
'
Me.txtStartDate.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtStartDate.Location = New System.Drawing.Point(408, 80)
Me.txtStartDate.Name = "txtStartDate"
Me.txtStartDate.Size = New System.Drawing.Size(80, 20)
Me.txtStartDate.TabIndex = 4
Me.txtStartDate.Text = ""
Me.txtStartDate.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtStartDate, "Adjust the start date, if necessary")
'
'lblStartDate
'
Me.lblStartDate.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblStartDate.Location = New System.Drawing.Point(345, 83)
Me.lblStartDate.Name = "lblStartDate"
Me.lblStartDate.Size = New System.Drawing.Size(64, 16)
Me.lblStartDate.TabIndex = 12
Me.lblStartDate.Text = "Start Date:"
'
'lblEndDate
'
Me.lblEndDate.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblEndDate.Location = New System.Drawing.Point(345, 115)
Me.lblEndDate.Name = "lblEndDate"
Me.lblEndDate.Size = New System.Drawing.Size(64, 16)
Me.lblEndDate.TabIndex = 14
Me.lblEndDate.Text = "End Date:"
'
'txtEndDate
'
Me.txtEndDate.BackColor = System.Drawing.Color.Silver
Me.txtEndDate.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtEndDate.Location = New System.Drawing.Point(408, 112)
Me.txtEndDate.Name = "txtEndDate"
Me.txtEndDate.ReadOnly = True
Me.txtEndDate.Size = New System.Drawing.Size(80, 20)
Me.txtEndDate.TabIndex = 13
Me.txtEndDate.TabStop = False
Me.txtEndDate.Text = ""
Me.txtEndDate.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtEndDate, "Reports the last order date (read-only)")
'
'cmdConnect
'
Me.cmdConnect.BackColor = System.Drawing.SystemColors.Control
Me.cmdConnect.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdConnect.Location = New System.Drawing.Point(48, 14)
Me.cmdConnect.Name = "cmdConnect"
Me.cmdConnect.Size = New System.Drawing.Size(88, 24)
Me.cmdConnect.TabIndex = 1
Me.cmdConnect.Text = "Connect"
Me.ToolTip1.SetToolTip(Me.cmdConnect, "Click to connect to the OCE_Cust, OCE_Prod, and OMB_Network databases")
'
'lblOrders1
'
Me.lblOrders1.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblOrders1.Location = New System.Drawing.Point(157, 19)
Me.lblOrders1.Name = "lblOrders1"
Me.lblOrders1.Size = New System.Drawing.Size(56, 16)
Me.lblOrders1.TabIndex = 0
Me.lblOrders1.Text = "You have"
'
'txtOrders
'
Me.txtOrders.BackColor = System.Drawing.Color.Silver
Me.txtOrders.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtOrders.Location = New System.Drawing.Point(217, 16)
Me.txtOrders.Name = "txtOrders"
Me.txtOrders.ReadOnly = True
Me.txtOrders.Size = New System.Drawing.Size(56, 20)
Me.txtOrders.TabIndex = 16
Me.txtOrders.TabStop = False
Me.txtOrders.Text = ""
Me.txtOrders.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtOrders, "Displays the number of records in the Orders database")
'
'lblOrders2
'
Me.lblOrders2.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblOrders2.Location = New System.Drawing.Point(278, 19)
Me.lblOrders2.Name = "lblOrders2"
Me.lblOrders2.Size = New System.Drawing.Size(136, 16)
Me.lblOrders2.TabIndex = 18
Me.lblOrders2.Text = "orders to be processed"
'
'pgbBulk
'
Me.pgbBulk.Location = New System.Drawing.Point(8, 120)
Me.pgbBulk.Name = "pgbBulk"
Me.pgbBulk.Size = New System.Drawing.Size(432, 16)
Me.pgbBulk.TabIndex = 19
'
'cmdCreditIncr
'
Me.cmdCreditIncr.BackColor = System.Drawing.SystemColors.Control
Me.cmdCreditIncr.Enabled = False
Me.cmdCreditIncr.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdCreditIncr.Location = New System.Drawing.Point(59, 228)
Me.cmdCreditIncr.Name = "cmdCreditIncr"
Me.cmdCreditIncr.Size = New System.Drawing.Size(184, 24)
Me.cmdCreditIncr.TabIndex = 7
Me.cmdCreditIncr.Text = "Increase Credit Limit by $1,000"
Me.ToolTip1.SetToolTip(Me.cmdCreditIncr, "Increases credit limits to minimize ""insufficient availability"" orders")
'
'cmdCreditDecr
'
Me.cmdCreditDecr.BackColor = System.Drawing.SystemColors.Control
Me.cmdCreditDecr.Enabled = False
Me.cmdCreditDecr.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdCreditDecr.Location = New System.Drawing.Point(59, 284)
Me.cmdCreditDecr.Name = "cmdCreditDecr"
Me.cmdCreditDecr.Size = New System.Drawing.Size(184, 24)
Me.cmdCreditDecr.TabIndex = 8
Me.cmdCreditDecr.Text = "Decrease Credit Limit by $1,000"
Me.ToolTip1.SetToolTip(Me.cmdCreditDecr, "Restores credit limits to original values ($1,000 min., $10,000 max.)")
'
'lblCreditMin
'
Me.lblCreditMin.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblCreditMin.Location = New System.Drawing.Point(59, 261)
Me.lblCreditMin.Name = "lblCreditMin"
Me.lblCreditMin.Size = New System.Drawing.Size(26, 16)
Me.lblCreditMin.TabIndex = 22
Me.lblCreditMin.Text = "Min:"
'
'lblCreditMax
'
Me.lblCreditMax.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblCreditMax.Location = New System.Drawing.Point(155, 261)
Me.lblCreditMax.Name = "lblCreditMax"
Me.lblCreditMax.Size = New System.Drawing.Size(30, 16)
Me.lblCreditMax.TabIndex = 23
Me.lblCreditMax.Text = "Max:"
'
'txtCreditMin
'
Me.txtCreditMin.BackColor = System.Drawing.Color.Silver
Me.txtCreditMin.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtCreditMin.Location = New System.Drawing.Point(91, 258)
Me.txtCreditMin.Name = "txtCreditMin"
Me.txtCreditMin.ReadOnly = True
Me.txtCreditMin.Size = New System.Drawing.Size(56, 20)
Me.txtCreditMin.TabIndex = 24
Me.txtCreditMin.Text = ""
Me.txtCreditMin.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtCreditMin, "Minimum credit available")
'
'txtCreditMax
'
Me.txtCreditMax.BackColor = System.Drawing.Color.Silver
Me.txtCreditMax.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtCreditMax.Location = New System.Drawing.Point(187, 258)
Me.txtCreditMax.Name = "txtCreditMax"
Me.txtCreditMax.ReadOnly = True
Me.txtCreditMax.Size = New System.Drawing.Size(56, 20)
Me.txtCreditMax.TabIndex = 25
Me.txtCreditMax.Text = ""
Me.txtCreditMax.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtCreditMax, "Maximum credit available")
'
'txtOPD
'
Me.txtOPD.BackColor = System.Drawing.Color.Silver
Me.txtOPD.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtOPD.Location = New System.Drawing.Point(427, 144)
Me.txtOPD.Name = "txtOPD"
Me.txtOPD.ReadOnly = True
Me.txtOPD.Size = New System.Drawing.Size(61, 20)
Me.txtOPD.TabIndex = 26
Me.txtOPD.TabStop = False
Me.txtOPD.Text = ""
Me.txtOPD.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtOPD, "Reports the number of orders on the last order day (read-only)")
'
'lblEndOPD
'
Me.lblEndOPD.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblEndOPD.Location = New System.Drawing.Point(345, 147)
Me.lblEndOPD.Name = "lblEndOPD"
Me.lblEndOPD.Size = New System.Drawing.Size(80, 16)
Me.lblEndOPD.TabIndex = 27
Me.lblEndOPD.Text = "Orders/Day:"
'
'fraBackdate
'
Me.fraBackdate.Controls.AddRange(New System.Windows.Forms.Control() {Me.pgbBulk})
Me.fraBackdate.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.fraBackdate.Location = New System.Drawing.Point(48, 56)
Me.fraBackdate.Name = "fraBackdate"
Me.fraBackdate.Size = New System.Drawing.Size(456, 144)
Me.fraBackdate.TabIndex = 28
Me.fraBackdate.TabStop = False
Me.fraBackdate.Text = "Backdate Current OCE Orders "
'
'cmdClose
'
Me.cmdClose.BackColor = System.Drawing.SystemColors.Control
Me.cmdClose.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdClose.Location = New System.Drawing.Point(430, 16)
Me.cmdClose.Name = "cmdClose"
Me.cmdClose.Size = New System.Drawing.Size(70, 24)
Me.cmdClose.TabIndex = 0
Me.cmdClose.TabStop = False
Me.cmdClose.Text = "Close"
'
'txtInvMax
'
Me.txtInvMax.BackColor = System.Drawing.Color.Silver
Me.txtInvMax.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtInvMax.Location = New System.Drawing.Point(384, 51)
Me.txtInvMax.Name = "txtInvMax"
Me.txtInvMax.ReadOnly = True
Me.txtInvMax.Size = New System.Drawing.Size(56, 20)
Me.txtInvMax.TabIndex = 36
Me.txtInvMax.TabStop = False
Me.txtInvMax.Text = ""
Me.txtInvMax.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtInvMax, "Maximum credit available")
'
'txtInvMin
'
Me.txtInvMin.BackColor = System.Drawing.Color.Silver
Me.txtInvMin.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.txtInvMin.Location = New System.Drawing.Point(289, 50)
Me.txtInvMin.Name = "txtInvMin"
Me.txtInvMin.ReadOnly = True
Me.txtInvMin.Size = New System.Drawing.Size(56, 20)
Me.txtInvMin.TabIndex = 35
Me.txtInvMin.TabStop = False
Me.txtInvMin.Text = ""
Me.txtInvMin.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
Me.ToolTip1.SetToolTip(Me.txtInvMin, "Minimum credit available")
'
'cmdInvDecr
'
Me.cmdInvDecr.BackColor = System.Drawing.SystemColors.Control
Me.cmdInvDecr.Enabled = False
Me.cmdInvDecr.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdInvDecr.Location = New System.Drawing.Point(256, 76)
Me.cmdInvDecr.Name = "cmdInvDecr"
Me.cmdInvDecr.Size = New System.Drawing.Size(184, 24)
Me.cmdInvDecr.TabIndex = 10
Me.cmdInvDecr.Text = "Decrease Inventory by 100 Units"
Me.ToolTip1.SetToolTip(Me.cmdInvDecr, "Restores credit limits to original values ($1,000 min., $10,000 max.)")
'
'cmdInvIncr
'
Me.cmdInvIncr.BackColor = System.Drawing.SystemColors.Control
Me.cmdInvIncr.Enabled = False
Me.cmdInvIncr.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdInvIncr.Location = New System.Drawing.Point(256, 20)
Me.cmdInvIncr.Name = "cmdInvIncr"
Me.cmdInvIncr.Size = New System.Drawing.Size(184, 24)
Me.cmdInvIncr.TabIndex = 9
Me.cmdInvIncr.Text = "Increase Inventory by 100 Units"
Me.ToolTip1.SetToolTip(Me.cmdInvIncr, "Increases credit limits to minimize ""insufficient availability"" orders")
'
'cmdHalt
'
Me.cmdHalt.BackColor = System.Drawing.SystemColors.Control
Me.cmdHalt.Enabled = False
Me.cmdHalt.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.cmdHalt.Location = New System.Drawing.Point(248, 141)
Me.cmdHalt.Name = "cmdHalt"
Me.cmdHalt.Size = New System.Drawing.Size(72, 24)
Me.cmdHalt.TabIndex = 31
Me.cmdHalt.Text = "Halt"
Me.ToolTip1.SetToolTip(Me.cmdHalt, "Click to stop bulk updating of order dates")
'
'fraCreditAndInventory
'
Me.fraCreditAndInventory.Controls.AddRange(New System.Windows.Forms.Control() {Me.cmdInvIncr, Me.cmdInvDecr, Me.lblInvMin, Me.lblInvMax, Me.txtInvMin, Me.txtInvMax})
Me.fraCreditAndInventory.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.fraCreditAndInventory.Location = New System.Drawing.Point(48, 208)
Me.fraCreditAndInventory.Name = "fraCreditAndInventory"
Me.fraCreditAndInventory.Size = New System.Drawing.Size(456, 112)
Me.fraCreditAndInventory.TabIndex = 30
Me.fraCreditAndInventory.TabStop = False
Me.fraCreditAndInventory.Text = "Change Credit Availability and Local Inventory Levels to Reduce Rejected Orders"
'
'lblInvMin
'
Me.lblInvMin.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblInvMin.Location = New System.Drawing.Point(256, 54)
Me.lblInvMin.Name = "lblInvMin"
Me.lblInvMin.Size = New System.Drawing.Size(26, 16)
Me.lblInvMin.TabIndex = 33
Me.lblInvMin.Text = "Min:"
'
'lblInvMax
'
Me.lblInvMax.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
Me.lblInvMax.Location = New System.Drawing.Point(352, 54)
Me.lblInvMax.Name = "lblInvMax"
Me.lblInvMax.Size = New System.Drawing.Size(30, 16)
Me.lblInvMax.TabIndex = 34
Me.lblInvMax.Text = "Max:"
'
'frmHistory
'
Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
Me.BackColor = System.Drawing.Color.LightGray
Me.ClientSize = New System.Drawing.Size(552, 333)
Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.cmdHalt, Me.cmdClose, Me.lblEndOPD, Me.txtOPD, Me.txtCreditMax, Me.txtCreditMin, Me.lblCreditMax, Me.lblCreditMin, Me.cmdCreditDecr, Me.cmdCreditIncr, Me.lblOrders2, Me.lblOrders1, Me.txtOrders, Me.cmdConnect, Me.lblEndDate, Me.txtEndDate, Me.lblStartDate, Me.txtStartDate, Me.cmdCommitDates, Me.lblOPDIncr2, Me.lblOPDIncr1, Me.updOPDIncr, Me.lblOPD2, Me.lblOPD1, Me.lblBack2, Me.lblBack1, Me.updOPDStart, Me.updQuarters, Me.cmdTest, Me.fraBackdate, Me.fraCreditAndInventory})
Me.MaximizeBox = False
Me.MinimizeBox = False
Me.Name = "frmHistory"
Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
Me.Text = "Create Historical Order Data by Backdating OakLeaf Consumer Electronics Orders"
CType(Me.updQuarters, System.ComponentModel.ISupportInitialize).EndInit()
CType(Me.updOPDStart, System.ComponentModel.ISupportInitialize).EndInit()
CType(Me.updOPDIncr, System.ComponentModel.ISupportInitialize).EndInit()
Me.fraBackdate.ResumeLayout(False)
Me.fraCreditAndInventory.ResumeLayout(False)
Me.ResumeLayout(False)

    End Sub

#End Region

   Private Sub cmdConnect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdConnect.Click
      'Connect or disconnect from the databases (Windows authentication)
      'Display the number of orders and default starting and ending dates
      If cmdConnect.Text = "Disconnect" Then
         cnnCust.Close()
         cnnProd.Close()
         cnnNet.Close()
         cmdConnect.Text = "Connect"
         Call ControlState(False)
      Else
         cnnCust.ConnectionString = strCustConn
         cnnCust.Open()
         cnnProd.ConnectionString = strProdConn
         cnnProd.Open()
         cnnNet.ConnectionString = strNetConn
         cnnNet.Open()
         cmdConnect.Text = "Disconnect"

         'Get the number of orders
         With cmmCust
            .Connection = cnnCust
            .CommandType = CommandType.Text
            .CommandText = "SELECT COUNT(OrderID) FROM Orders"
            intOrders = CInt(.ExecuteScalar)
         End With
         txtOrders.Text = Format(intOrders, "#,##0")

         cmmProd.Connection = cnnProd

         'Display default starting and ending dates on quarter boudaries
         'Default is four quarters
         Select Case Month(datStart)
            Case Is > 8
               datStart = CDate("9/1/" + CStr(datStart.Year))
            Case Is > 5
               datStart = CDate("6/1/" + CStr(datStart.Year))
            Case Is > 2
               datStart = CDate("3/1/" + CStr(datStart.Year))
            Case Else
               datStart = CDate("1/1/" + CStr(datStart.Year))
         End Select
         txtStartDate.Text = Format(CStr(datStart.AddYears(-1)), "Short Date")
         Call cmdTest_Click(Nothing, Nothing)

         'Get the minimum and maximum available credit
         Call UpdateChargeLimits()
         'Get the minimum and maximum inventory levels
         Call UpdateInventoryLevels()
         'Enable buttons
         Call ControlState(True)
      End If
   End Sub

   Private Sub UpdateChargeLimits()
      'Get minimum/maximum ChargeLimit values
      With cmmNet
         .Connection = cnnNet
         .CommandType = CommandType.Text
         .CommandText = "SELECT MIN(ChargeLimit) FROM Authorize"
         txtCreditMin.Text = Format(CInt(.ExecuteScalar), "$#,##0")
         .CommandText = "SELECT MAX(ChargeLimit) FROM Authorize"
         txtCreditMax.Text = Format(CInt(.ExecuteScalar), "$#,##0")
      End With
   End Sub

   Private Sub UpdateInventoryLevels()
      'Get minimum/maximum inventory levels
      With cmmProd
         .Connection = cnnProd
         .CommandType = CommandType.Text
         .CommandText = "SELECT MIN(BeginningInventory) FROM Products"
         txtInvMin.Text = Format(CInt(.ExecuteScalar), "#,##0")
         .CommandText = "SELECT MAX(BeginningInventory) FROM Products"
         txtInvMax.Text = Format(CInt(.ExecuteScalar), "#,##0")
      End With
   End Sub

   Private Sub cmdTest_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdTest.Click
      'Run a test to determine ending date with current spin-button selections
      Dim intCtr As Int32
      Dim intDays As Int32
      Dim intOPD As Int32
      Dim decOPDIncr As Decimal
      Dim datOrder As Date
      Dim intOrderID As Int32

      cmdTest.Enabled = False
      Me.Cursor = Cursors.WaitCursor
      datOrder = CDate(txtStartDate.Text)
      pgbBulk.Maximum = intOrders
      intOPD = CInt(updOPDStart.Value)
      decOPDIncr = updOPDIncr.Value
      intDays = 1
      intCtr = intOPD
      pgbBulk.Value = 0
      intCtr = 1
      intDays = 0
      For intOrderID = 1 To intOrders
         If intCtr >= CInt(CDec(intDays) * decOPDIncr) + intOPD Then
            datOrder = datOrder.AddDays(1)
            intDays += 1
            txtOPD.Text = CStr(intCtr)
            intCtr = 0
            Application.DoEvents()
         End If
         intCtr += 1
         pgbBulk.Value = intOrderID
      Next intOrderID
      txtEndDate.Text = Format(datOrder, "Short Date")
      cmdTest.Enabled = True
      Me.Cursor = Cursors.Default
   End Sub

   Private Sub cmdCommitDates_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCommitDates.Click
      'Spread the order/invoice/transaction dates from the beginning date
      Dim cnnOrders As New SqlConnection()
      Dim cmmOrders As New SqlCommand()
      Dim rdrOrders As SqlDataReader
      Dim intOrderID As Int32
      Dim intOPD As Integer
      Dim decOPDIncr As Decimal
      Dim intOPDCurr As Integer
      Dim datOrder As DateTime
      Dim datInvoice As DateTime
      Dim intCtr As Int32
      Dim intDays As Int32
      Dim intRecsAff As Int32
      Dim dblTime As Double
      Dim intMins As Int32
      Dim strMsg As String

      intMins = DatePart(DateInterval.Minute, Now)
      intOPD = CInt(updOPDStart.Value)
      decOPDIncr = updOPDIncr.Value
      datOrder = CDate(txtStartDate.Text)

      cmdClose.Enabled = False
      cmdHalt.Enabled = True
      Call ControlState(False)
      Me.Cursor = Cursors.WaitCursor
      With cnnOrders
         .ConnectionString = strCustConn
         .Open()
      End With

      With cmmCust
         .CommandTimeout = 150 'To accommodate slow machines or MANY orders
         .Connection = cnnCust
         .CommandType = CommandType.Text
         .CommandText = "SELECT OrderID, RequiredShipDate FROM Orders ORDER BY OrderID"
         rdrOrders = .ExecuteReader()
      End With
      With cmmOrders
         .Connection = cnnOrders
         .CommandType = CommandType.Text
      End With
      With cmmNet
         .Connection = cnnNet
         .CommandType = CommandType.Text
      End With

      pgbBulk.Value = 0
      intCtr = 0
      intDays = 0
      With rdrOrders
         While .Read
            Randomize()
            intOrderID = rdrOrders.GetInt32(0)
            'Current value of orders/day
            intOPDCurr = CInt(CDec(intDays) * decOPDIncr) + intOPD
            'Spread orders uniformly over 23 hours (prevent date overflow)
            dblTime = 23 / CSng(intOPDCurr)
            datOrder = datOrder.AddHours(dblTime)
            'Update the OrderDate and, if present, RequiredShipDate values
            strSQL = "UPDATE Orders SET OrderDate ='" + CStr(datOrder)
            If Not IsDBNull(rdrOrders(1)) Then
               strSQL += "', RequiredShipDate ='" + CStr(datOrder.AddDays(7))
            End If
            strSQL += "', LastStatusUpdate ='" + CStr(datOrder.AddSeconds(5))
            strSQL += "' WHERE OrderID = " + CStr(intOrderID)
            With cmmOrders
               .CommandText = strSQL
               intRecsAff += .ExecuteNonQuery()
            End With

            'Fix-up the invoice date/time
            If datOrder.Hour < 8 Then
               'Orders received before 8:00 a.m. are processed during the workday
               datInvoice = datOrder.AddHours(9 - datOrder.Hour + (Rnd() * 8))
            ElseIf datOrder.Hour > 15 Then
               'Orders received after 3:00 p.m. are processed the next morning
               datInvoice = datOrder.AddHours(-datOrder.Hour + 8 + (Rnd() * 4))
               datInvoice = datInvoice.AddDays(1)
            Else
               'Orders are processed as received
               datInvoice = datOrder.AddHours(1 + Rnd())
            End If

            'Update the purchase order date/time
            strSQL = "UPDATE PurchaseOrders SET OrderDate = '" + CStr(datOrder.AddSeconds(1 + (2 * Rnd())))
            strSQL += "' WHERE ReferenceID = " + CStr(intOrderID)
            With cmmProd
               .CommandText = strSQL
               intRecsAff += .ExecuteNonQuery()
            End With

            'Update the invoice OrderDate and ShipDate values
            strSQL = "UPDATE Invoices SET OrderDate ='" + CStr(datOrder)
            strSQL += "', ShipDate = '" + CStr(datInvoice)
            strSQL += "' WHERE OrderID = " + CStr(intOrderID)
            With cmmOrders
               .CommandText = strSQL
               intRecsAff += .ExecuteNonQuery()
            End With

            'Conform the transaction dates and times to the order and invoice (shipping) values
            strSQL = "UPDATE Transactions SET TransactionDate ='" + CStr(datOrder.AddSeconds(1 + (2 * Rnd())))
            strSQL += "' WHERE Reference = " + CStr(intOrderID) + " AND TransactionTypeID = 31"
            'Update the hold
            With cmmNet
               .CommandText = strSQL
               intRecsAff += .ExecuteNonQuery()
            End With

            strSQL = "UPDATE Transactions SET TransactionDate ='" + CStr(datInvoice.AddSeconds(1 + (2 * Rnd())))
            strSQL += "' WHERE Reference = " + CStr(intOrderID) + " AND TransactionTypeID > 31"
            'Release the hold and debit the card
            With cmmNet
               .CommandText = strSQL
               intRecsAff += .ExecuteNonQuery()
            End With
            If intCtr >= intOPDCurr Then
               'Next day, so reset the time to 00:00 and add a day
               datOrder = datOrder.AddHours(-datOrder.Hour)
               datOrder = datOrder.AddDays(1)
               intDays += 1
               txtOPD.Text = CStr(intCtr)
               intCtr = 0
               Application.DoEvents()
               If blnHalt Then
                  Exit While
               End If
            End If
            intCtr += 1
            pgbBulk.Value += 1
         End While
         rdrOrders.Close()
         txtEndDate.Text = Format(datOrder, "Short Date")
      End With
      cnnOrders.Close()
      cmdClose.Enabled = True
      cmdHalt.Enabled = False
      Call ControlState(True)
      Me.Cursor = Cursors.Default
      intMins = DatePart(DateInterval.Minute, Now) - intMins
      If intMins <= 0 Then
         intMins = intMins + 60
      End If
      strMsg = Format(intRecsAff, "#,##0") + " records updated in " + CStr(intMins) + " minutes."
      MsgBox(strMsg, MsgBoxStyle.OKOnly, "Backdating Operation Complete")
   End Sub

   Private Sub cmdCreditIncr_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCreditIncr.Click
      'Increase credit availability by $1,000
      'Optionally add one year to expiration dates
      Dim intExpired As Int32
      Dim intChoice As Int32
      Dim blnAddYear As Boolean
      Dim strMsg As String

      cmdClose.Enabled = False
      cmdCreditIncr.Enabled = False
      Me.Cursor = Cursors.WaitCursor
      With cmmNet
         .Connection = cnnNet
         .CommandType = CommandType.Text
         .CommandText = "SELECT COUNT(*) FROM Authorize WHERE DATEDIFF(day, GETDATE(), ExpDate) < 31"
         intExpired = CInt(.ExecuteScalar)
      End With
      If intExpired > 0 Then
         strMsg = Format(CStr(intExpired), "#,##0") + " credit cards have expired or will expire in a month." + Chr(13) + Chr(10)
         strMsg += "Do you want to add one year to all credit card expiration dates?"
         If MsgBox(strMsg, MsgBoxStyle.YesNo, "Credit Cards Are Expiring") = MsgBoxResult.Yes Then
            blnAddYear = True
         End If
      End If

      With cmmNet
         .CommandTimeout = 300 'This is a long-running process
         .CommandText = "UPDATE Authorize SET ChargeLimit = ChargeLimit + 1000, Charges = 0, Holds = 0, Available = ChargeLimit + 1000"
         .ExecuteNonQuery()

         If blnAddYear Then
            'Update the OmegaBank data
            .CommandText = "UPDATE Authorize SET ExpDate = DATEADD(year, 1, ExpDate)"
            .ExecuteNonQuery()
            With cmmCust
               'Update the customer data
               .CommandText = "UPDATE CustCards SET ExpDate = DATEADD(year, 1, ExpDate)"
               .ExecuteNonQuery()
            End With
         End If
      End With
      Call UpdateChargeLimits()
      cmdCreditIncr.Enabled = True
      cmdClose.Enabled = True
      Me.Cursor = Cursors.Default
   End Sub

   Private Sub cmdCreditDecr_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCreditDecr.Click
      'Decrease credit availability by $1,000
      cmdCreditDecr.Enabled = False
      cmdClose.Enabled = False
      Me.Cursor = Cursors.WaitCursor
      With cmmNet
         .CommandTimeout = 300
         .Connection = cnnNet
         .CommandType = CommandType.Text
         .CommandText = "UPDATE Authorize SET ChargeLimit = ChargeLimit - 1000, Charges = 0, Holds = 0, Available = ChargeLimit - 1000"
         .ExecuteNonQuery()
      End With
      Call UpdateChargeLimits()
      cmdCreditDecr.Enabled = True
      cmdClose.Enabled = True
      Me.Cursor = Cursors.Default
   End Sub

   Private Sub cmdInvIncr_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdInvIncr.Click
      'Increase local inventory by 100 units
      cmdInvIncr.Enabled = False
      cmdClose.Enabled = False
      Me.Cursor = Cursors.WaitCursor
      With cmmProd
         .Connection = cnnProd
         .CommandType = CommandType.Text
         .CommandText = "UPDATE Products SET BeginningInventory = BeginningInventory + 100"
         .ExecuteNonQuery()
      End With
      Call UpdateInventoryLevels()
      cmdInvIncr.Enabled = True
      cmdClose.Enabled = True
      Me.Cursor = Cursors.Default
   End Sub

   Private Sub cmdInvDecr_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdInvDecr.Click
      'Decrease local inventory by 100 units
      cmdInvDecr.Enabled = False
      cmdClose.Enabled = False
      Me.Cursor = Cursors.WaitCursor
      With cmmProd
         .Connection = cnnProd
         .CommandType = CommandType.Text
         .CommandText = "UPDATE Products SET BeginningInventory = BeginningInventory - 100"
         .ExecuteNonQuery()
      End With
      Call UpdateInventoryLevels()
      cmdInvDecr.Enabled = True
      cmdClose.Enabled = True
      Me.Cursor = Cursors.Default
   End Sub

   Private Sub ControlState(ByVal blnEnabled As Boolean)
      'Enable or disable buttons
      cmdTest.Enabled = blnEnabled
      cmdCommitDates.Enabled = blnEnabled
      cmdCreditIncr.Enabled = blnEnabled
      cmdCreditDecr.Enabled = blnEnabled
      cmdInvIncr.Enabled = blnEnabled
      cmdInvDecr.Enabled = blnEnabled
   End Sub

   Private Sub cmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClose.Click
      'Close the connections, if open
      cnnCust.Close()
      cnnProd.Close()
      cnnNet.Close()
      Me.Close()
   End Sub

   Private Sub updQuarters_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles updQuarters.ValueChanged
      'Change the start date text box value
      txtStartDate.Text = CStr(datStart.AddMonths(-3 * CInt(updQuarters.Value)))
   End Sub

   Private Sub cmdHalt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdHalt.Click
      'Stop updating the tables
      blnHalt = True
   End Sub
End Class

