<%@ Page trace="false" aspcompat="true" LANGUAGE="vb" ENABLESESSIONSTATE="False" CodeBehind="About.aspx.vb" AutoEventWireup="false" Inherits="final.About" %>
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en' lang='en'>
	<head>
		<title>About OakLeaf Systems' XML Web Services for the U.S. Code of Federal 
			Regulations </title>
		<meta name="description" content="The OakLeaf Systems Web site offers examples of production-grade XML Web services for retrieving and updating data in Microsoft SQL Server 2000 databases. Visual Studio .NET's ASP.NET and Visual Basic .NET generate the site's Web pages and services. The examples include services that create and retrieve XML documents persisted in a 1-GB database and transform the XML content to well-formed XHTML for presentation." />
		<meta name='keywords' content='xml, xml web services, web services, visual studio .net, visual basic .net, visual studio, visual basic, asp.net, ado.net, database, databases, sql server, sql server 2000, full-text search, text search, search, wsdl, wsml, asmx, aspx, microsoft, u.s. code, u.s. code of federal regulations, code of federal regulations, cfr, u.s. cfr, osborne, mcgraw-hill, McGraw-Hill/Osborne, isbn 0-07-222369-3, 0-07-222369-3, isbn 0072223693, 0072223693, computers, computing, windows, windows 2000, book, computer book, computer books, roger jennings, jennings' />
		<link rel='stylesheet' href='CFRSect.css' type='text/css' />
	</head>
	<body>
		<table width='100%' border='0' cellpadding='0' cellspacing='0' align='center'>
			<tr>
				<td height='80px' width='70px' padding-left='0px' padding-right='0px'>
					<img src='OakLeaf.gif' height='80px' width='70px' border='0' />
				</td>
				<td>
					OakLeaf Systems
					<br />
					Online U.S. Code of Federal Regulations Delivered by
					<br />
					XML Web Services from <i>Visual Basic .NET XML Web Services Developer's Guide</i>
					<br />
					McGraw-Hill/Osborne ISBN 0-07-222369-3 (To be published in Spring 2002)
				</td>
			</tr>
		</table>
		<table width='100%' border='0' align='center'>
			<th colspan='2'>
				Detailed Description of the OakLeaf Systems CFR Web Services and Sample 
				Documents</th>
			<tr valign='center'>
				<td>
					<a href='http://www.oakleaf.ws/cfrtocws/cfrtocws.asmx'>WSDL-TOC</a>
				</td>
				<td>
					ASP.NET WSDL service description and documentation for tables of content
				</td>
			</tr>
			<tr valign='center'>
				<td>
					<a href='http://www.oakleaf.ws/cfrsectws/cfrsectws.asmx'>WSDL-Sect</a>
				</td>
				<td>
					ASP.NET WSDL service description and documentation for section text
				</td>
			</tr>
			<tr valign='center'>
				<td>
					<a href='http://www.oakleaf.ws/cfrsearchws/cfrsearchws.asmx'>WSDL-Search</a>
				</td>
				<td>
					ASP.NET WSDL service description and documentation for full-text search
				</td>
			</tr>
			<tr valign='center'>
				<td>
					<a href='http://uddi.microsoft.com/details/businessdetail.aspx?businesskey=a1701d8a-ab45-42d7-a0e8-d10c968e2a12'>CFR-UDDI</a>
				</td>
				<td>
					OakLeaf Systems UDDI page for the three CFR XML Web services (Microsoft registry)
				</td>
			</tr>
			<tr valign='center'>
				<td>
					<a href='http://www.oakleaf.ws/cfr/Trace.axd'>CFR-Trace</a>
				</td>
				<td>
					Tracing page for XML Web services performance analysis
				</td>
			</tr>
			<tbody style='behavior:url(CFRToc.htc)' slColor='#d0d0d0' hlColor='#e8e8e8' txColor='#266294'>
				<tr id='tocHome' valign='center'>
					<td>
						CONTENTS
					</td>
					<td>
						Display the list of CFR Titles at the top level of the TOC
					</td>
				</tr>
				<tr id='search' valign='center'>
					<td>
						SEARCH
					</td>
					<td>
						Go to the Full-Text Search page
					</td>
				</tr>
				<tr id='help' valign='center'>
					<td>
						HELP
					</td>
					<td>
						Get assistance with navigating the OakLeaf CFR site
					</td>
				</tr>
				<tr id='home' valign='center'>
					<td>
						CFR-MAIN
					</td>
					<td>
						Return to the main (entry) page of the OakLeaf CFR project site
					</td>
				</tr>
			</tbody>
		</table>
		<hr width='100%' color='#266294' align='center' />
		<!--#include File="AboutText.htm" -->
		<!--#include File="Copyright.htm" -->
	</body>
</html>
