<%@ Page trace="false" aspcompat="true" LANGUAGE="vb" ENABLESESSIONSTATE="False" CodeBehind="Default.aspx.vb" AutoEventWireup="false" Inherits="final.CDefault" %>
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en' lang='en'>
	<head>
		<title>Home Page of the OakLeaf Systems U.S. Code of Federal Regulations Web 
			Services </title>
		<meta name="description" content="The OakLeaf Systems Web site offers examples of production-grade XML Web services for retrieving and updating data in Microsoft SQL Server 2000 databases. Visual Studio .NET's ASP.NET and Visual Basic .NET generate the site's Web pages and services. The examples include services that create and retrieve XML documents persisted in a 1-GB database and transform the XML content to well-formed XHTML for presentation." />
		<meta name='keywords' content='xml, xml web services, web services, visual studio .net, visual basic .net, visual studio, visual basic, asp.net, ado.net, database, databases, sql server, sql server 2000, full-text search, text search, search, wsdl, wsml, asmx, aspx, microsoft, u.s. code, u.s. code of federal regulations, code of federal regulations, cfr, u.s. cfr, osborne, mcgraw-hill, McGraw-Hill/Osborne, isbn 0-07-222369-3, 0-07-222369-3, isbn 0072223693, 0072223693, computers, computing, windows, windows 2000, book, computer book, computer books, roger jennings, jennings' />
		<link rel='stylesheet' href='CFRSect.css' type='text/css' />
	</head>
	<body>
		<table width='100%' border='0' cellpadding='0' cellspacing='0' align='center'>
			<tr>
				<td height='80px' width='70px' padding-left='0px' padding-right='0px'>
					<img src='OakLeaf.gif' height='80px' width='70px' border='0' />
				</td>
				<td>
					OakLeaf Systems
					<br />
					Online U.S. Code of Federal Regulations Delivered by
					<br />
					XML Web Services from <i>Visual Basic .NET XML Web Services Developer's Guide</i>
					<br />
					McGraw-Hill/Osborne ISBN 0-07-222369-3 (To be published in Spring 2002)
				</td>
			</tr>
		</table>
		<table width='100%' border='0' align='center'>
			<th colspan='2'>
				Home Page for Access to the U.S. Code of Federal Regulations from the OakLeaf 
				Systems Database</th>
			<tbody style='behavior:url(CFRToc.htc)' slColor='#d0d0d0' hlColor='#e8e8e8' txColor='#266294'>
				<tr id='tocHome' valign='center'>
					<td>
						CONTENTS
					</td>
					<td>
						Display the list of CFR Titles at the top level of the TOC (Click here to 
						start)
					</td>
				</tr>
				<tr id='search' valign='center'>
					<td>
						SEARCH
					</td>
					<td>
						Use full-text search to locate and display matching CFR sections and TOCs
					</td>
				</tr>
				<tr id='help' valign='center'>
					<td>
						HELP
					</td>
					<td>
						Get assistance with navigating the site and follow links to interesting 
						sections
					</td>
				</tr>
				<tr id='about' valign='center'>
					<td>
						ABOUT
					</td>
					<td>
						Learn about OakLeaf Systems' Code of Federal Regulations XML Web services
					</td>
				</tr>
			</tbody>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Data Source
				</td>
				<td>
					National Archives and Records Administration (NARA) Electronic CFR (e-CFR Beta)
				</td>
			</tr>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Disclaimer
				</td>
				<td>
					The content of this site is not a legal version of the U.S. CFR
				</td>
			</tr>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Official Site
				</td>
				<td>
					<a href='http://www.access.gpo.gov/ecfr/'>Search Page for the GPO's Electronic Code of 
						Federal Regulations</a> (e-CFR Beta)
				</td>
			</tr>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Site Status
				</td>
				<td>
					Version 0.98 - Microsoft<sup>&#174;</sup> ASP.NET XML Web services and Visual Basic<sup>&#174;</sup>.NET 
				</td>
			</tr>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Last Update
				</td>
				<td>
					NARA <a href='http://www.access.gpo.gov/nara/lsa/curlist.html'>Current List of CFR 
						Parts Affected</a> of 12/27/2001 (Full reload 12/26/2001)
				</td>
			</tr>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Database
				</td>
				<td>
					990 MB with the full text of 181,500 sections; 165 MB of full-text catalogs
				</td>
			</tr>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Search Engine
				</td>
				<td>
					Microsoft<sup>&#174;</sup> SQL Server 2000<sup>TM</sup> Full-Text Search
				</td>
			</tr>
			<%
If lngTOCItems = 0 and lngSectItems = 0 Then
%>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Search Status
				</td>
				<td>
					Full-Text Search Is Not Available
				</td>
			</tr>
			<%
ElseIf lngTOCItems = 1 and lngSectItems = 0 Then
%>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Search Status
				</td>
				<td>
					Full-Text Search for Tables of Contents Only (<% Response.Write(strTOCItems) %>
					Elements)
				</td>
			</tr>
			<%
ElseIf lngTOCItems = 0 and lngSectItems = 1 Then
%>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Search Status
				</td>
				<td>
					Full-Text Search for Section Text Only (<% Response.Write(strSectItems) %>
					Elements)
				</td>
			</tr>
			<%
Else
%>
			<tr id='noTag' class='HasSubs' valign='top'>
				<td>
					Search Status
				</td>
				<td>
					Full-Text Search for Tables of Contents and Section Text (<% Response.Write(strBothItems) %>
					Elements)
				</td>
			</tr>
			<%   
End If
%>
		</table>
		<hr width='100%' color='#266294' align='center' />
		<!--#include File="DefaultText.htm" -->
		<!--#include File="Copyright.htm" -->
	</body>
</html>
