<%@ Page trace="false" aspcompat="true" LANGUAGE="vb" ENABLESESSIONSTATE="False" CodeBehind="Search.aspx.vb" AutoEventWireup="false" Inherits="final.Search" %>
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en' lang='en'>
	<head>
		<title>Full-Text Search of the Electronic CFR (eCFR Beta) </title>
		<link rel='stylesheet' href='CFRSect.css' type='text/css' />
		<meta name="description" content="The OakLeaf Systems Web site offers examples of production-grade XML Web services for retrieving and updating data in Microsoft SQL Server 2000 databases. Visual Studio .NET's ASP.NET and Visual Basic .NET generate the site's Web pages and services. The examples include services that create and retrieve XML documents persisted in a 1-GB database and transform the XML content to well-formed XHTML for presentation." />
		<meta name='keywords' content='xml, xml web services, web services, visual studio .net, visual basic .net, visual studio, visual basic, asp.net, ado.net, database, databases, sql server, sql server 2000, full-text search, text search, search, wsdl, wsml, asmx, aspx, microsoft, u.s. code, u.s. code of federal regulations, code of federal regulations, cfr, u.s. cfr, osborne, mcgraw-hill, McGraw-Hill/Osborne, isbn 0-07-222369-3, 0-07-222369-3, isbn 0072223693, 0072223693, computers, computing, windows, windows 2000, book, computer book, computer books, roger jennings, jennings' />
	</head>
	<body>
		<form method='get' action='<% Response.Write(strSearchPage) %>'>
			<table width='100%' border='0' cellpadding='0' cellspacing='0' align='center'>
				<tr>
					<td height='80px' width='70px' padding-left='0px' padding-right='0px'>
						<img src='OakLeaf.gif' height='80px' width='70px' border='0' />
					</td>
					<td>
						OakLeaf Systems
						<br />
						Full-Text Search of the Online U.S. Code of Federal Regulations Delivered by
						<br />
						An XML Web Service from <i>Visual Basic .NET XML Web Services Developer's Guide</i>
						<br />
						McGraw-Hill/Osborne ISBN 0-07-222369-3 (To be published in Spring 2002)
					</td>
				</tr>
			</table>
			<table width='100%' border='0' align='center'>
				<th colspan='2'>
					Search Criteria for the Electronic Code of Federal Regulations (eCFR Beta)</th>
				<tr id='noTag' valign='top'>
					<td width='17%'>
						Search Engine
					</td>
					<td>
						Microsoft<sup>&#174;</sup> SQL Server 2000<sup>TM</sup> Full-Text Search
					</td>
				</tr>
				<%
If lngTOCItems = 0 and lngSectItems = 0 Then
%>
				<tr id='noTag' valign='top'>
					<td width='17%'>
						Search Status
					</td>
					<td>
						Full-Text Search Is Not Available
					</td>
				</tr>
				<%
ElseIf lngTOCItems = 1 and lngSectItems = 0 Then
%>
				<tr id='noTag' valign='top'>
					<td width='17%'>
						Search Status
					</td>
					<td>
						Full-Text Search for Tables of Contents Only (<% Response.Write(strTOCItems) %>
						Elements)
					</td>
				</tr>
				<%
ElseIf lngTOCItems = 0 and lngSectItems = 1 Then
%>
				<tr id='noTag' valign='top'>
					<td width='17%'>
						Search Status
					</td>
					<td>
						Full-Text Search for Section Text Only (<% Response.Write(strSectItems) %>
						Elements)
					</td>
				</tr>
				<%
Else
%>
				<tr id='noTag' valign='top'>
					<td width='17%'>
						Search Status
					</td>
					<td>
						Full-Text Search for Tables of Contents and Section Text (<% Response.Write(strBothItems) %>
						Elements)
					</td>
				</tr>
				<%   
End If
'For consistency with other pages, the standard JScript behavior applies to the help link
%>
				<tr id='NoTag' valign='center'>
					<td width='17%'>
						Search Terms
					</td>
					<td>
						<input type='text' name='Term' value='satellite NEAR broadcast' size='75%'></input>
					</td>
				</tr>
				<tr id='NoTag' valign='center'>
					<td width='17%'>
						Include
					</td>
					<td>
						Tables of Contents <input type='checkbox' name='InTOC' checked='True'></input> &#160;&#160;Section 
						Text <input type='checkbox' name='InSect' checked='True'></input> &#160;&#160;(Mark 
						Both Checkboxes for Full Search)
					</td>
				</tr>
				<tr id='NoTag' valign='center'>
					<td>
						Scope
					</td>
					<td>
						Title:&#160;
						<select name='Title'>
							<option name='Title0'>
								All 48 Titles of the Code</option>
							<option name='Title1'>
								&#160;&#160;1 - General Provisions</option>
							<option name='Title3'>
								&#160;&#160;3 - The President</option>
							<option name='Title4'>
								&#160;&#160;4 - Accounts</option>
							<option name='Title5'>
								&#160;&#160;5 - Administrative Personnel</option>
							<option name='Title7'>
								&#160;&#160;7 - Agriculture</option>
							<option name='Title8'>
								&#160;&#160;8 - Aliens and Nationality</option>
							<option name='Title9'>
								&#160;&#160;9 - Animals and Animal Products</option>
							<option name='Title10'>
								10 - Energy</option>
							<option name='Title11'>
								11 - Federal Elections</option>
							<option name='Title12'>
								12 - Banks and Banking</option>
							<option name='Title13'>
								13 - Business Credit and Assistance</option>
							<option name='Title14'>
								14 - Aeronautics and Space</option>
							<option name='Title15'>
								15 - Commerce and Foreign Trade</option>
							<option name='Title16'>
								16 - Commercial Practices</option>
							<option name='Title17'>
								17 - Commodity and Securities Exchanges</option>
							<option name='Title18'>
								18 - Conservation of Water and Power Resources</option>
							<option name='Title19'>
								19 - Customs Duties</option>
							<option name='Title20'>
								20 - Employees' Benefits</option>
							<option name='Title21'>
								21 - Food and Drugs</option>
							<option name='Title22'>
								22 - Foreign Relations</option>
							<option name='Title23'>
								23 - Highways</option>
							<option name='Title24'>
								24 - Housing and Urban Development</option>
							<option name='Title25'>
								25 - Indians</option>
							<option name='Title26'>
								26 - Internal Revenue</option>
							<option name='Title27'>
								27 - Alcohol, Tobacco Products, and Firearms</option>
							<option name='Title28'>
								28 - Judicial Administration</option>
							<option name='Title29'>
								29 - Labor</option>
							<option name='Title30'>
								30 - Mineral Resources</option>
							<option name='Title31'>
								31 - Money and Finance: Treasury</option>
							<option name='Title32'>
								32 - National Defense</option>
							<option name='Title33'>
								33 - Navigation and Navigable Waters</option>
							<option name='Title34'>
								34 - Education</option>
							<option name='Title35'>
								35 - Panama Canal</option>
							<option name='Title36'>
								36 - Parks, Forests, and Public Properties</option>
							<option name='Title37'>
								37 - Patents, Trademarks and Copyrights</option>
							<option name='Title38'>
								38 - Pensions, Bonuses, and Veterans' Benefits</option>
							<option name='Title39'>
								39 - Postal Service</option>
							<option name='Title40'>
								40 - Protection of the Environment</option>
							<option name='Title41'>
								41 - Public Contracts and Property Management</option>
							<option name='Title42'>
								42 - Public Health</option>
							<option name='Title43'>
								43 - Public Lands: Interior</option>
							<option name='Title44'>
								44 - Emergency Management and Assistance</option>
							<option name='Title45'>
								45 - Public Welfare</option>
							<option name='Title46'>
								46 - Shipping</option>
							<option name='Title47'>
								47 - Telecommunication</option>
							<option name='Title48'>
								48 - Federal Acquisition Regulations System</option>
							<option name='Title49'>
								49 - Transportation</option>
							<option name='Title50'>
								50 - Wildlife and Fisheries</option>
						</select>&#160;&#160;&#160;Start at Level:&#160;
						<select name='Level' width='30%'>
							<option name='Level6'>
								Parts</option>
							<option name='Level5'>
								Subchapters</option>
							<option name='Level4'>
								Chapters</option>
							<option name='Level3'>
								Subtitles</option>
							<option name='Level2'>
								Titles</option>
						</select>
					</td>
				</tr>
				<tr id='NoTag' valign='center'>
					<td width='17%'>
						Get Results
					</td>
					<td>
						Maximum Number of Elements: <input type='text' name='MaxHits' value='100' size='5'></input>
						&#160;&#160;&#160;&#160;&#160;&#160; <input type='submit' value='Search Now'></input>
						&#160;&#160;&#160;&#160;&#160;&#160;&#160; <input type='reset' value='Cancel Search'></input>
					</td>
				</tr>
				<tbody style='behavior:url(CFRToc.htc)' slColor='#d0d0e0' hlColor='e8e8f8' txColor='#266294'>
					<tr id='home' valign='center'>
						<td>
							HOME
						</td>
						<td>
							Return to the OakLeaf Systems' CFR Web services home Page
						</td>
					</tr>
					<tr id='help' valign='center'>
						<td>
							HELP
						</td>
						<td>
							Get assistance with navigating the site and follow links to interesting 
							sections
						</td>
					</tr>
					<tr id='about' valign='center'>
						<td>
							ABOUT
						</td>
						<td>
							Learn about OakLeaf Systems&#39; XML Web services
						</td>
					</tr>
				</tbody>
			</table>
			<hr width='100%' color='#266294' align='center' />
		</form>
		<!--#include File="SearchText.htm"-->
		<!--#include File="Copyright.htm" -->
	</body>
</html>
