Option Strict On
Option Explicit On 
Imports System.Data.SqlClient

Public Interface _clsAlphaDist
	Function CheckStock(ByVal strServer As String, ByVal strDatabase As String, ByVal strUser As String, ByVal strPassword As String, ByVal strSKU As String, ByVal blnXML As Boolean) As String
	Function PlaceOrder(ByVal strServer As String, ByVal strDatabase As String, ByVal strUser As String, ByVal strPassword As String, ByVal strXML As String, ByVal blnXML As Boolean) As String
End Interface
<System.Runtime.InteropServices.ProgId("clsAlphaDist_NET.clsAlphaDist")> Public Class clsAlphaDist
	Implements _clsAlphaDist
	
   Public Function CheckStock(ByVal strServer As String, ByVal strDatabase As String, ByVal strUser As String, ByVal strPassword As String, ByVal strSKU As String, ByVal blnXML As Boolean) As String Implements _clsAlphaDist.CheckStock

      'Query distributor
      'Returns cookie-formatted string or XML document with
      'confirming description and quantity on hand
      'This function is the same for each distributor

      'Dim cnnInventory As New ADODB.Connection()
      Dim cnnInventory As New SqlConnection()
      'Dim rstInventory As New ADODB.Recordset()
      Dim sdrInventory As SqlDataReader = Nothing
      'Dim rstAllowDisc As New ADODB.Recordset()
      Dim strConn As String
      Dim strSQL As String
      Dim strXML As String
      Dim intCol As Short
      Dim avarValues(12) As Object
      Dim astrNames(12) As String

      On Error Resume Next

      'strConn = "Provider=SQLOLEDB;Data Source=" & strServer & ";Initial Catalog=" & strDatabase & ";UID=" & strUser & ";PWD=" & strPassword
      strConn = "Data Source=" & strServer & ";Initial Catalog=" & strDatabase & ";UID=" & strUser & ";PWD=" & strPassword
      'cnnInventory.Open(strConn)
      cnnInventory.ConnectionString = strConn
      cnnInventory.Open()

      If Err.Number = 0 Then
         'Get the product data
         strSQL = "SELECT * FROM Products WHERE SKU = '" & strSKU & "'"
         'rstInventory = cnnInventory.Execute(strSQL, , ADODB.CommandTypeEnum.adCmdText)
         Dim cmmInventory As SqlCommand = cnnInventory.CreateCommand
         With cmmInventory
            .CommandType = CommandType.Text
            .CommandText = strSQL
            sdrInventory = .ExecuteReader
         End With
         With sdrInventory
            'If .EOF Then
            If .Read Then
               .GetValues(avarValues)
               For intCol = 0 To 12
                  astrNames(intCol) = .GetName(intCol)
               Next intCol
               .Close()
            Else
               CheckStock = "Error: " & strDatabase & " doesn't recognize SKU " & strSKU
               GoTo ExitCheckStock
            End If
         End With

         If blnXML Then
            'Serialize report
            strXML = "<" & strDatabase & "Inventory>" & vbCrLf
            For intCol = 0 To 4
               'strXML = strXML & "   <" & CStr(.Fields(intCol).Name) & ">" & CStr(.Fields(intCol).Value) & "</" & CStr(.Fields(intCol).Name) & ">" & vbCrLf
               strXML = strXML & "   <" & astrNames(intCol) & ">" & avarValues(intCol).ToString & "</" & astrNames(intCol) & ">" & vbCrLf
            Next intCol
            For intCol = 5 To 7
               'strXML = strXML & "   <" & CStr(.Fields(intCol).Name) & ">"
               strXML = strXML & "   <" & astrNames(intCol) & ">"
               'If IsDBNull(.Fields(intCol).Value) Then
               If IsDBNull(avarValues(intCol)) Then
                  'Do nothing
               ElseIf intCol = 7 Then
                  'Weight
                  'strXML = strXML & CStr(.Fields(intCol).Value) & " lbs"
                  strXML = strXML & avarValues(intCol).ToString & " lbs"
               Else
                  'Money
                  'strXML = strXML & VB6.Format(CDec(.Fields(intCol).Value), "$#,##0.00")
                  strXML = strXML & Format(CDec(avarValues(intCol)), "$#,##0.00")
               End If
               'strXML = strXML & "</" & CStr(.Fields(intCol).Name) & ">" & vbCrLf
               strXML = strXML & "</" & astrNames(intCol) & ">" & vbCrLf
            Next intCol
            For intCol = 9 To 12
               'strXML = strXML & "   <" & CStr(.Fields(intCol).Name) & ">"
               strXML = strXML & "   <" & astrNames(intCol) & ">"
               'AllowanceID
               'If CDec(.Fields(9).Value) > 0 Then
               If CDec(avarValues(9)) > 0 Then
                  If intCol = 9 Then
                     'strXML = strXML & CStr(.Fields(9).Value)
                     strXML = strXML & avarValues(9).ToString
                  ElseIf intCol = 10 Then
                     'strXML = strXML & VB6.Format(CDec(.Fields(10).Value), "$#,##0.00")
                     strXML = strXML & Format(CDec(avarValues(10)), "$#,##0.00")
                  End If
               End If
               'If CByte(.Fields(11).Value) > 0 Then
               If CByte(avarValues(11)) > 0 Then
                  If intCol = 11 Then
                     'strXML = strXML & CStr(.Fields(11).Value)
                     strXML = strXML & avarValues(11).ToString
                  ElseIf intCol = 12 Then
                     'strXML = strXML & VB6.Format(CSng(.Fields(12).Value), "#0.0%")
                     strXML = strXML & Format(CSng(avarValues(12)), "#0.0%")
                  End If
               End If
               'strXML = strXML & "</" & CStr(.Fields(intCol).Name) & ">" & vbCrLf
               strXML = strXML & "</" & astrNames(intCol) & ">" & vbCrLf
               If intCol = 10 Or intCol = 12 Then
                  'Add the allowance type element
                  If intCol = 10 Then
                     strXML = strXML & "   <AllowanceType>"
                  Else
                     strXML = strXML & "   <DiscountType>"
                  End If
                  'If (CByte(.Fields(9).Value) > 0 And intCol = 10) Or (CByte(.Fields(11).Value) > 0 And intCol = 12) Then
                  If (CByte(avarValues(9)) > 0 And intCol = 10) Or (CByte(avarValues(11)) > 0 And intCol = 12) Then
                     'strSQL = "SELECT * FROM AllowancesDiscounts WHERE AllowDiscID = " & CStr(.Fields(intCol - 1).Value)
                     strSQL = "SELECT AllowanceDiscount FROM AllowancesDiscounts WHERE AllowDiscID = " & avarValues(intCol - 1).ToString
                     'rstAllowDisc = cnnInventory.Execute(strSQL, , ADODB.CommandTypeEnum.adCmdText)
                     With cmmInventory
                        .CommandText = strSQL
                        strXML = strXML & CStr(.ExecuteScalar)
                     End With
                     'If Not rstAllowDisc.EOF Then
                     '   strXML = strXML & CStr(AllowDisc.Fields(1).Value)
                     'End If
                  End If
                  If intCol = 10 Then
                     strXML = strXML & "</AllowanceType>"
                  Else
                     strXML = strXML & "</DiscountType>"
                  End If
                  strXML = strXML & vbCrLf
               End If
            Next intCol
            intCol = 8
            'strXML = strXML & "   <" & CStr(.Fields(intCol).Name) & "InStock>" & CStr(.Fields(intCol).Value) & "</" & CStr(.Fields(intCol).Name) & "InStock>" & vbCrLf
            strXML = strXML & "   <" & astrNames(intCol) & "InStock>" & avarValues(intCol).ToString & "</" & astrNames(intCol) & "InStock>" & vbCrLf
            strXML = strXML & "   <DateTime>" & CStr(Now) & "</DateTime>" & vbCrLf
            strXML = strXML & "</" & strDatabase & "Inventory>" & vbCrLf
            CheckStock = strXML
         Else
            'Return string is cookie format
            'CheckStock = strDatabase & " CheckStock for SKU=" & strSKU & ";Category=" & CStr(.Fields(1).Value) & ";Brand=" & CStr(.Fields(2).Value) & ";Model=" & CStr(.Fields(3).Value) & ";Description=" & CStr(.Fields(4).Value) & ";"
            CheckStock = strDatabase & " CheckStock for SKU=" & strSKU & ";Category=" & avarValues(1).ToString & ";Brand=" & avarValues(2).ToString & ";Model=" & avarValues(3).ToString & ";Description=" & avarValues(4).ToString & ";"
            'If Not IsDBNull(.Fields(5).Value) Then
            If Not IsDBNull(avarValues(5)) Then
               'CheckStock = CheckStock & "MSRP=" & VB6.Format(CDec(.Fields(5).Value), "$#,##0.00") & ";"
               CheckStock = CheckStock & "MSRP=" & Format(CDec(avarValues(5)), "$#,##0.00") & ";"
            End If
            'CheckStock = CheckStock & "NetPrice=" & Format(CDec(.Fields(6).Value), "$#,##0.00") & ";ShipWeight=" & CStr(.Fields(7).Value) & " lbs"
            CheckStock = CheckStock & "NetPrice=" & Format(CDec(avarValues(6)), "$#,##0.00") & ";ShipWeight=" & avarValues(7).ToString & " lbs"
            'If CByte(.Fields(9).Value) > 0 Then
            If CByte(avarValues(9)) > 0 Then
               'strSQL = "SELECT * FROM AllowancesDiscounts WHERE AllowDiscID = " & CStr(.Fields(9).Value)
               strSQL = "SELECT AllowanceDiscount FROM AllowancesDiscounts WHERE AllowDiscID = " & avarValues(9).ToString
               'rstAllowDisc = cnnInventory.Execute(strSQL, , ADODB.CommandTypeEnum.adCmdText)
               With cmmInventory
                  .CommandText = strSQL
                  CheckStock = CheckStock & ";AllowanceFor=" & CStr(.ExecuteScalar) & ";Amount=" & Format(CDec(avarValues(10)), "$#,##0.00")
               End With
               'If rstAllowDisc.EOF Then
                  'Not a critical error
               'Else
               '   CheckStock = CheckStock & ";AllowanceFor=" & CStr(rstAllowDisc.Fields(1).Value) & ";Amount=" & VB6.Format(CDec(.Fields(10).Value), "$#,##0.00")
               'End If
               'rstAllowDisc.Close()
            End If
            'If CByte(.Fields(11).Value) > 0 Then
            If CByte(avarValues(11)) > 0 Then
               'strSQL = "SELECT * FROM AllowancesDiscounts WHERE AllowDiscID = " & CStr(.Fields(11).Value)
               strSQL = "SELECT AllowanceDiscount FROM AllowancesDiscounts WHERE AllowDiscID = " & avarValues(11).ToString
               'rstAllowDisc = cnnInventory.Execute(strSQL, , ADODB.CommandTypeEnum.adCmdText)
               With cmmInventory
                  .CommandText = strSQL
                  CheckStock = CheckStock & ";DiscountFor=" & CStr(.ExecuteScalar) & ";Percent=" & Format(CDec(avarValues(10)), "#0.0%")
               End With
               'If rstAllowDisc.EOF Then
                  'Not critical
               'Else
               '   CheckStock = CheckStock & ";DiscountFor=" & CStr(rstAllowDisc.Fields(1).Value) & ";Percent=" & Format(CSng(.Fields(10).Value), "#0.0%")
               'End If
               'rstAllowDisc.Close()
            End If
            'CheckStock = CheckStock & ";InStock=" & CStr(.Fields(8).Value)
            CheckStock = CheckStock & ";InStock=" & avarValues(8).ToString
         End If
      Else
         CheckStock = "ERROR: " & Err.Description
      End If

ExitCheckStock:
      'Cleanup
      'rstInventory.Close()
      sdrInventory.Close()
      cnnInventory.Close()
   End Function


   Public Function PlaceOrder(ByVal strServer As String, ByVal strDatabase As String, ByVal strUser As String, ByVal strPassword As String, ByVal strXML As String, ByVal blnXML As Boolean) As String Implements _clsAlphaDist.PlaceOrder

      'Send purchase order to distributor as XML document
      'Return invoice if order processed, updated order if not
      '(This procedure is identical for each distributor)

      'Dim cnnOrder As New ADODB.Connection()
      Dim cnnOrder As New SqlConnection()
      'Dim rstOrder As New ADODB.Recordset()
      Dim docOrder As New MSXML2.DOMDocument40()
      Dim lstNodes As MSXML2.IXMLDOMNodeList
      Dim nodParent As MSXML2.IXMLDOMNode
      Dim nodChild As MSXML2.IXMLDOMNode
      Dim nodBackOrd As MSXML2.IXMLDOMNode
      Dim nodInvoice As MSXML2.IXMLDOMNode

      Dim strOrderConn As String
      Dim strCustInvoice As String
      Dim strOrderID As String
      Dim strOrderDate As String
      Dim strPartShip As String
      Dim strQuan As String
      Dim astrItems(10, 2) As String
      Dim intItems As Integer
      Dim intCtr As Integer
      Dim intQuantity As Short   'Added
      Dim strSQL As String
      Dim lngReccnt As Integer   'Was Object
      Dim strRetMsg As String
      Dim blnAllInStock As Boolean

      On Error Resume Next

      With docOrder
         .loadXML(strXML)
         If .parseError.errorCode <> 0 Then
            PlaceOrder = "Error: Parse error '" & .parseError.reason & "' in order document"
            GoTo ExitPlaceOrder
         End If
      End With

      'Connect to the distributor database
      'strOrderConn = "Provider=SQLOLEDB;Data Source=" & strServer & ";Initial Catalog=" & strDatabase & ";UID=" & strUser & ";PWD=" & strPassword
      strOrderConn = "Data Source=" & strServer & ";Initial Catalog=" & strDatabase & ";UID=" & strUser & ";PWD=" & strPassword
      'cnnOrder.Open(strOrderConn)
      cnnOrder.ConnectionString = strOrderConn
      cnnOrder.Open()
      If Err.Number <> 0 Then
         'Can't connect
         PlaceOrder = "Error: Can't connect to " & strServer & " database."
         GoTo ExitPlaceOrder
      End If

      'Remove and save the customer invoice for printing (just removed here)
      If InStr(strXML, "<CustomerInvoice>") > 0 Then
         strCustInvoice = "   " & Mid(strXML, InStr(strXML, "<CustomerInvoice>"))
         strCustInvoice = Left(strXML, InStr(strXML, "</CustomerInvoice>") + 17)
         strXML = Trim(Left(strXML, InStr(strXML, "<CustomerInvoice>") - 1))
         strXML = strXML & "</PurchaseOrder>"
      End If
      With docOrder
         If Len(strCustInvoice) > 0 Then
            'Reload the document without the customer invoice
            .loadXML(strXML)
            If .parseError.errorCode <> 0 Then
               PlaceOrder = "Error: Parse error '" & .parseError.reason & "' in order document"
               GoTo ExitPlaceOrder
            End If
         End If

         'Return string headers
         lstNodes = .getElementsByTagName("PurchID")
         nodParent = lstNodes.item(0)
         strOrderID = nodParent.text
         lstNodes = .getElementsByTagName("OrderDate")
         nodParent = lstNodes.item(0)
         strOrderDate = nodParent.text
         If InStr(strOrderDate, " ") > 0 Then
            'Trim the time
            strOrderDate = Left(strOrderDate, InStr(strOrderDate, " ") - 1)
         End If
         lstNodes = .getElementsByTagName("PartialShipOK")
         nodParent = lstNodes.item(0)
         strPartShip = nodParent.text

         lstNodes = .getElementsByTagName("SKU")
         'Create an array of SKUs and quantities for inventory test
         intItems = lstNodes.length - 1
         For intCtr = 0 To intItems
            nodParent = lstNodes.item(intCtr)
            astrItems(intCtr, 0) = nodParent.text
         Next intCtr
         lstNodes = .getElementsByTagName("Quantity")
         For intCtr = 0 To intItems
            nodParent = lstNodes.item(intCtr)
            astrItems(intCtr, 1) = nodParent.text
         Next intCtr
      End With

      blnAllInStock = True
      For intCtr = 0 To intItems
         'Check SKU current inventory
         strSQL = "SELECT Quantity FROM Products WHERE SKU='" & astrItems(intCtr, 0) & "'"
         'rstOrder = cnnOrder.Execute(strSQL, , ADODB.CommandTypeEnum.adCmdText)
         Dim cmmOrder As SqlCommand = cnnOrder.CreateCommand
         With cmmOrder
            .CommandType = CommandType.Text
            .CommandText = strSQL
            intQuantity = CShort(.ExecuteScalar)
         End With
         'With rstOrder
            'If .EOF Then
            If intQuantity = 0 Then
               PlaceOrder = "Error: " & strServer & " has no record of SKU '" & astrItems(intCtr, 0) & "'"
               GoTo ExitPlaceOrder
            Else
               strRetMsg = strRetMsg & "SKU=" & astrItems(intCtr, 0) & ";"
               'If CShort(.Fields(0).Value) >= CShort(astrItems(intCtr, 1)) Then
               If intQuantity >= CShort(astrItems(intCtr, 1)) Then
                  'Decrement the inventory quantity for the product
                  strSQL = "UPDATE Products SET Quantity = Quantity - 1 " & "WHERE SKU='" & astrItems(intCtr, 0) & "'"
                  'Note that DistUser is allowed to update distributor database at this point
                  'cnnOrder.Execute(strSQL, lngReccnt, ADODB.CommandTypeEnum.adCmdText)
                  With cmmOrder
                     .CommandText = strSQL
                     lngReccnt = .ExecuteNonQuery
                  End With
                  If lngReccnt = 0 Then
                     'Internal distributor error
                     'Not handled at this point
                  End If
               Else
                  'Out of stock
                  astrItems(intCtr, 1) = "0"
                  blnAllInStock = False
               End If
            End If
            '.Close()
         'End With
      Next intCtr
      cnnOrder.Close()

      If blnXML Then
         lstNodes = docOrder.getElementsByTagName("Item")
         For intCtr = 0 To lstNodes.length - 1
            nodParent = lstNodes.item(intCtr)
            'Quantity child node
            nodChild = nodParent.childNodes(1)
            strQuan = nodChild.text
            nodChild.text = astrItems(intCtr, 1)

            'Status child node
            nodChild = nodParent.childNodes(8)
            If blnAllInStock Then
               nodChild.text = "59"
            Else
               If astrItems(intCtr, 1) = "0" And strPartShip = "True" Then
                  nodChild.text = "51"
               Else
                  nodChild.text = "88"
               End If
            End If

            'Add the Backordered node to each line item
            nodBackOrd = docOrder.createElement("Backordered")
            If blnAllInStock Then
               nodBackOrd.text = "0"
            ElseIf strPartShip = "True" And astrItems(intCtr, 1) = "0" Then
               nodBackOrd.text = strQuan
            Else
               nodBackOrd.text = "0"
            End If
            nodParent.appendChild(nodBackOrd)
         Next intCtr

         'Add the OrderStatus element and value
         nodChild = docOrder.createElement("OrderStatus")
         If blnAllInStock Then
            nodChild.text = "Shipment Complete (59)"
         ElseIf strPartShip = "True" And astrItems(intCtr, 1) = "0" Then
            nodChild.text = "Partial Shipment 1 (51)"
         Else
            nodChild.text = "Canceled (88)"
         End If
         lstNodes = docOrder.getElementsByTagName("Header")
         nodParent = lstNodes.item(0)
         nodParent.appendChild(nodChild)

         If blnAllInStock Or strPartShip = "True" Then
            'Add the invoice date first to simplify adding the invoice number
            nodChild = docOrder.createElement("InvoiceDate")
            nodChild.text = CStr(Today)
            lstNodes = docOrder.getElementsByTagName("Header")
            nodParent = lstNodes.item(0)
            nodInvoice = lstNodes.item(0).firstChild
            nodParent.insertBefore(nodChild, nodInvoice)

            'Add the distributor invoice number
            nodChild = docOrder.createElement("InvoiceID")
            'Use random distributor invoice numbers for simplicity
            nodChild.text = CStr(1000000 + Int(100000 * Rnd()))
            lstNodes = docOrder.getElementsByTagName("Header")
            nodParent = lstNodes.item(0)
            nodInvoice = lstNodes.item(0).firstChild
            nodParent.insertBefore(nodChild, nodInvoice)
         End If

         strXML = docOrder.xml
         'Fix up the formatting of the added elements
         strXML = Replace(strXML, "</InvoiceID>", "</InvoiceID>" & vbCrLf & Space(6))
         strXML = Replace(strXML, "</InvoiceDate>", "</InvoiceDate>" & vbCrLf & Space(6))
         strXML = Replace(strXML, "</Backordered>", "</Backordered>" & vbCrLf & Space(6))
         strXML = Replace(strXML, "</OrderStatus>", "</OrderStatus>" & vbCrLf & Space(3))
         If blnAllInStock Or strPartShip = "True" Then
            'Generate an invoice
            strXML = Replace(strXML, "PurchaseOrder>", "Invoice>")
         End If
         PlaceOrder = strXML
      Else
         strRetMsg = "OrderID=" & strOrderID & ";Date=" & strOrderDate & ";"
         For intCtr = 0 To intItems
            strRetMsg = strRetMsg & "Item=" & CStr(intCtr + 1) & ";SKU=" & astrItems(intCtr, 0)
            If blnAllInStock Then
               strRetMsg = strRetMsg & ";Shipped=" & astrItems(intCtr, 1)
            ElseIf strPartShip = "True" And astrItems(intCtr, 1) = "0" Then
               strRetMsg = strRetMsg & ";Backordered=" & astrItems(intCtr, 1)
            Else
               strRetMsg = strRetMsg & ";Shipped=0"
            End If
         Next intCtr
         If blnAllInStock Then
            strRetMsg = strRetMsg & ";Status=Complete"
         ElseIf strPartShip = "True" And astrItems(intCtr, 1) = "0" Then
            strRetMsg = strRetMsg & ";Status=PartialShipment"
         Else
            strRetMsg = strRetMsg & ";Status=Canceled"
         End If
         PlaceOrder = strRetMsg
      End If

ExitPlaceOrder:
      'With rstOrder
      '   If .State = ADODB.ObjectStateEnum.adStateOpen Then
      '      .Close()
      '   End If
      'End With
      'With cnnOrder
      '   If .State = ADODB.ObjectStateEnum.adStateOpen Then
      '      .Close()
      '   End If
      'End With
      cnnOrder.Close()
   End Function
End Class