Option Explicit On 
Option Strict On
Imports VB = Microsoft.VisualBasic
Imports System.Data.SqlClient
Imports System.Timers

Public Class clsTestForm
   Inherits System.Web.UI.Page
      Protected WithEvents cmdVerifyCard As System.Web.UI.WebControls.Button
      Protected WithEvents cmdCheckStock As System.Web.UI.WebControls.Button
      Protected WithEvents cmdIssueHolds As System.Web.UI.WebControls.Button
      Protected WithEvents cmdShipOrder As System.Web.UI.WebControls.Button
      Protected WithEvents cmdBulkOrders As System.Web.UI.WebControls.Button
      Protected WithEvents cmdHaltBulk As System.Web.UI.WebControls.Button
      Protected WithEvents cmdInitialize As System.Web.UI.WebControls.Button
      Protected WithEvents lblTitle As System.Web.UI.WebControls.Label
      Protected WithEvents lblOrderID As System.Web.UI.WebControls.Label
      Protected WithEvents lblCardType As System.Web.UI.WebControls.Label
      Protected WithEvents lblFreight As System.Web.UI.WebControls.Label
      Protected WithEvents lblHoldAmt As System.Web.UI.WebControls.Label
      Protected WithEvents lblAction As System.Web.UI.WebControls.Label
      Protected WithEvents txtOrderID As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtCardType As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtFreight As System.Web.UI.WebControls.TextBox
      Protected WithEvents lblOrderTotal As System.Web.UI.WebControls.Label
      Protected WithEvents lblCardNumber As System.Web.UI.WebControls.Label
      Protected WithEvents lblInStock As System.Web.UI.WebControls.Label
      Protected WithEvents chkGetUPS As System.Web.UI.WebControls.CheckBox
      Protected WithEvents chkPartialShipmentsOK As System.Web.UI.WebControls.CheckBox
      Protected WithEvents chkSalesTax As System.Web.UI.WebControls.CheckBox
      Protected WithEvents txtHoldAmt As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtAction As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtCardNumber As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtInStock As System.Web.UI.WebControls.TextBox
      Protected WithEvents lblNoStock As System.Web.UI.WebControls.Label
      Protected WithEvents txtNoStock As System.Web.UI.WebControls.TextBox
      Protected WithEvents lblOutsourced As System.Web.UI.WebControls.Label
      Protected WithEvents txtOutsourced As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtVerifyStatus As System.Web.UI.WebControls.TextBox
      Protected WithEvents chkUseWS As System.Web.UI.WebControls.CheckBox
      Protected WithEvents chkUseOakLeaf As System.Web.UI.WebControls.CheckBox
      Protected WithEvents txtHoldMsg As System.Web.UI.WebControls.TextBox
      Protected WithEvents txtOrderTotal As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtShipToID As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtCustID As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtCardID As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtReqdShipDate As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtZipCode As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtCardName As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtExpDate As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtItemsTotal As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtCompleted As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtTotalTime As System.Web.UI.WebControls.TextBox
   Protected WithEvents txtTimer As System.Web.UI.WebControls.TextBox
   Protected WithEvents dgItems As System.Web.UI.WebControls.DataGrid
   Protected WithEvents dgOrder As System.Web.UI.WebControls.DataGrid
   Protected WithEvents dgCustomer As System.Web.UI.WebControls.DataGrid
      Protected WithEvents cmdNewOrder As System.Web.UI.WebControls.Button

#Region " Web Form Designer Generated Code "

    'This call is required by the Web Form Designer.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        'CODEGEN: This method call is required by the Web Form Designer
        'Do not modify it using the code editor.
        InitializeComponent()
    End Sub

#End Region

   'Private object variables to maintain state
   'Private cnnCust As New ADODB.Connection()
   'Private rstCust As New ADODB.Recordset()
   'Private rstOrder As New ADODB.Recordset()
   'Private rstItems As New ADODB.Recordset()

   'Server, user IDs, passwords, and connection strings
   Private strCustServer As String
   Private strCustUser As String
   Private strCustPwd As String

   Private strProdServer As String
   Private strProdUser As String
   Private strProdPwd As String

   Private strNetServer As String
   Private strNetUser As String
   Private strNetPwd As String
   Private strNetIP As String

   Private strAlphaServer As String
   Private strAlphaUser As String
   Private strAlphaPwd As String
   Private strAlphaIP As String

   Private strBetaServer As String
   Private strBetaUser As String
   Private strBetaPwd As String
   Private strBetaIP As String

   Private strGammaServer As String
   Private strGammaUser As String
   Private strGammaPwd As String
   Private strGammaIP As String

   Private strCustConn As String
   Private strProdConn As String
   Private strNetConn As String
   Private strAlphaConn As String
   Private strBetaConn As String
   Private strGammaConn As String

   'XML Web service variables
   Private blnUseWS As Boolean 'True when chkUseWS marked
   Private blnUseOakLeaf As Boolean 'True when chkUseOakLeaf marked
   Private blnUseADODB As Boolean 'True when chkUseIP marked

   'Miscellaneous utility variables (in order of use)
   Private strSQL As String
   Private lngOrderID As Integer
   Private lngCustID As Integer
   Private bytCardID As Byte
   Private strCardNumber As String
   Private strCardType As String
   Private strCardName As String
   Private strExpDate As String
   Private strZipCode As String
   Private blnSalesTax As Boolean
   Private curOrderTotal As Decimal
   Private curItemsTotal As Decimal
   Private curShipCharge As Decimal
   Private blnPartShipOK As Boolean
   Private blnGetUPSCharge As Boolean
   Private intCtr As Short
   Private blnIsBulk As Boolean

   'Timing variables
   Private lngCompleted As Integer
   Private sngTotalTime As Single
   Private sngTimer As Single

   Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
     'Put user code to initialize the page here
      'Form_Load code here
      'Set server name, user IDs, and passwords
      'Change the server name values below as required
      'Don't change the IP addresses (for oakleaf.ws) unless advised of a change
      'OakLeaf databases
      strCustServer = "(LOCAL)"
      strCustUser = "CustUser"
      strCustPwd = "Cust#123"

      strProdServer = "(LOCAL)"
      strProdUser = "ProdUser"
      strProdPwd = "Prod#123"

      'OmegaBank
      strNetServer = "(LOCAL)"
      strNetUser = "NetUser"
      strNetPwd = "Net#123"
      strNetIP = "66.123.163.243"

      'Distributors
      strAlphaServer = "(LOCAL)"
      strAlphaUser = "AlphaUser"
      strAlphaPwd = "Alpha#123"
      strAlphaIP = "66.123.163.243"

      strBetaServer = "(LOCAL)"
      strBetaUser = "BetaUser"
      strBetaPwd = "Beta#123"
      strBetaIP = "66.123.163.243"

      strGammaServer = "(LOCAL)"
      strGammaUser = "GammaUser"
      strGammaPwd = "Gamma#123"
      strGammaIP = "66.123.163.243"

      'Connection strings (revised for SQLClient.SQLConnection)
      strCustConn = "Data Source=" & strCustServer & ";Initial Catalog=OCE_Cust;UID=" & strCustUser & ";PWD=" & strCustPwd
      strProdConn = "Data Source=" & strProdServer & ";Initial Catalog=OCE_Prod;UID=" & strProdUser & ";PWD=" & strProdPwd
      strNetConn = "Data Source=" & strNetServer & ";Initial Catalog=OMB_Network;UID=" & strNetUser & ";PWD=" & strNetPwd
      strAlphaConn = "Data Source=" & strAlphaServer & ";Initial Catalog=AlphaDist;UID=" & strAlphaUser & ";PWD=" & strAlphaPwd
      strBetaConn = "Data Source=" & strBetaServer & ";Initial Catalog=BetaDist;UID=" & strBetaUser & ";PWD=" & strBetaPwd
      strGammaConn = "Data Source=" & strGammaServer & ";Initial Catalog=GammaDist;UID=" & strGammaUser & ";PWD=" & strGammaPwd

      txtAction.Text = "Click Create Order to generate a new random order."

      'Me.Text = Me.Text & " (ADO.NET for Data)"
      chkUseWS.Visible = True
   End Sub

   '*************************************
   '*** Random Order Entry Operations ***
   '*************************************

   Private Sub cmdNewOrder_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdNewOrder.Click
      'Add a new order for a random customer with up to four random line items
      Dim cnnCusts As SqlConnection = New SqlConnection()
      Dim sdrCusts As SqlDataReader = Nothing

      Dim cnnProd As SqlConnection = New SqlConnection()
      Dim sdrProd As SqlDataReader = Nothing
      Dim cnnOrder As SqlConnection = New SqlConnection()
      Dim trnOrder As SqlTransaction = Nothing

      Dim AddOrder As New clsAddOrder()

      Dim intCtr As Integer
      Dim datReqdShipDate As Date
      Dim bytShipToID As Byte
      Dim bytShipTypeID As Byte
      Dim lngItemID As Integer
      Dim strSKU As String
      Dim bytOutsourced As Byte
      Dim curUnitPrice As Decimal
      Dim bytQuan As Byte
      Dim bytItemID As Byte
      Dim curItemAmt As Decimal
      Dim blnTransaction As Boolean
      Dim strFile As String

      If Trace.IsEnabled Then
         Trace.Write("Begin New Order")
      End If
      'Set False to create individual connections for each order and line item
      blnTransaction = True

      blnSalesTax = False
      blnPartShipOK = False
      sngTimer = CSng(VB.Timer())
      'Maintain state
      txtTimer.Text = CStr(sngTimer)

      cmdVerifyCard.Enabled = False
      cmdCheckStock.Enabled = False
      cmdIssueHolds.Enabled = False
      cmdShipOrder.Enabled = False

      txtCardType.Text = ""
      txtCardNumber.Text = ""
      txtVerifyStatus.Text = ""
      txtInStock.Text = ""
      txtNoStock.Text = ""
      txtOutsourced.Text = ""
      txtFreight.Text = ""
      txtHoldAmt.Text = ""
      txtHoldMsg.Text = ""

      cnnCusts.ConnectionString = "Data Source=" & strCustServer & ";Initial Catalog=OCE_Cust;UID=" & strCustUser & ";PWD=" & strCustPwd
      cnnCusts.Open()
      Dim cmmCusts As SqlCommand = cnnCusts.CreateCommand

      'Set and verify a random customer, get sales tax status and ZIP Code
      Randomize()
      lngCustID = 1000000 + CInt(25344 * Rnd())
      strSQL = "SELECT State, ZIPCode FROM Customers WHERE CustID = " & CStr(lngCustID)
      With cmmCusts
         .CommandType = CommandType.Text
         .CommandText = strSQL
         sdrCusts = .ExecuteReader
      End With
      With sdrCusts
         intCtr = 0
         Do While Not .Read
            .Close()
            Randomize()
            lngCustID = 1000000 + CInt(25344 * Rnd()) '25,344 customers
            strSQL = "SELECT State, ZIPCode FROM Customers WHERE CustID = " & CStr(lngCustID)
            cmmCusts.CommandText = strSQL
            sdrCusts = cmmCusts.ExecuteReader()
            intCtr = intCtr + 1
            If intCtr > 100 Then
               'Bigtime error, bail out
               sdrCusts.Close()
               cnnCusts.Close()
               Exit Sub
            End If
         Loop
         'Maintain state
         txtCustID.Text = CStr(lngCustID)

         'Check for sales tax
         If .GetString(0) = "TX" Then
            blnSalesTax = True
            'chkSalesTax.CheckState = System.Windows.Forms.CheckState.Checked
            chkSalesTax.Checked = True
         Else
            blnSalesTax = False
            'chkSalesTax.CheckState = System.Windows.Forms.CheckState.Unchecked
            chkSalesTax.Checked = False
         End If
         strZipCode = .GetString(1)
         .Close()
         'Maintain state
         txtZipCode.Text = strZipCode
      End With

      strSQL = "SELECT COUNT(CustID) from CustCards WHERE CustID = " & CStr(lngCustID)
      Dim intCards As Integer
      With cmmCusts
         .CommandText = strSQL
         intCards = CShort(.ExecuteScalar)
      End With
      If intCards > 1 Then
         'Select random card
         bytCardID = CByte(CSng(intCards + 1) * Rnd())
         If bytCardID < 1 Then
            bytCardID = 1
         End If
      Else
         bytCardID = 1
      End If
      'Maintain state
      txtCardID.Text = CStr(bytCardID)

      strSQL = "SELECT COUNT(ShipToID) from ShipAddresses WHERE CustID = " & CStr(lngCustID)
      Dim intShipTos As Short
      With cmmCusts
         .CommandText = strSQL
         intShipTos = CShort(.ExecuteScalar)
      End With

      If intShipTos > 1 Then
         'Select random ship-to address
         Randomize()
         bytShipToID = CByte(1 + (CSng(intShipTos) * Rnd()))
         If bytShipToID < 1 Then
            bytShipToID = 1
         End If
      Else
         bytShipToID = 1
      End If
      'Maintain state
      txtShipToID.Text = CStr(bytShipToID)

      'Required ship date
      Randomize()
      If Rnd() > 0.7 Then
         datReqdShipDate = System.DateTime.FromOADate(Today.ToOADate + 7)
      Else
         datReqdShipDate = System.DateTime.FromOADate(VariantType.Null)
      End If
      'Maintain state
      txtReqdShipDate.Text = CStr(datReqdShipDate)

      'Partial shipments
      Randomize()
      If Rnd() > 0.5 Then
         blnPartShipOK = True
         'chkPartialShipmentsOK.CheckState = CheckState.Checked
         chkPartialShipmentsOK.Checked = True
      Else
         blnPartShipOK = False
         'chkPartialShipmentsOK.CheckState = CheckState.Unchecked
         chkPartialShipmentsOK.Checked = False
      End If

      'Shipper
      bytShipTypeID = 11 'UPS Ground is the default

      If blnTransaction Then
         'cnnCust.BeginTrans()
         cnnOrder.ConnectionString = "Data Source=" & strCustServer & ";Initial Catalog=OCE_Cust;UID=" & strCustUser & ";PWD=" & strCustPwd
         cnnOrder.Open()
         trnOrder = cnnOrder.BeginTransaction(IsolationLevel.ReadCommitted)
         lngOrderID = AddOrder.AddNewOrderConn(cnnOrder, trnOrder, lngCustID, Now, datReqdShipDate, blnPartShipOK, bytCardID, bytShipToID, bytShipTypeID, blnSalesTax)
      Else
         lngOrderID = AddOrder.AddNewOrder(strCustServer, strCustUser, strCustPwd, lngCustID, Now, datReqdShipDate, blnPartShipOK, bytCardID, bytShipToID, bytShipTypeID, blnSalesTax)
      End If
      txtOrderID.Text = CStr(lngOrderID)

      If lngOrderID > 0 Then
         'cnnProd.Open(strProdConn)
         cnnProd.ConnectionString = "Data Source=" & strProdServer & ";Initial Catalog=OCE_Prod;UID=" & strProdUser & ";PWD=" & strProdPwd
         cnnProd.Open()
         Dim cmmProd As SqlCommand = cnnProd.CreateCommand
         'Add some line items
         curItemsTotal = 0
         Randomize()
         For bytItemID = 1 To CByte(1 + (3 * Rnd()))
            Randomize()
            lngItemID = CInt(1 + (695 * Rnd())) '695 line items
            strSQL = "SELECT SKU, Outsourced, NetPrice FROM Products WHERE ItemID = " & CStr(lngItemID)
            With cmmProd
               .CommandType = CommandType.Text
               .CommandText = strSQL
               sdrProd = .ExecuteReader()
            End With
            With sdrProd
               If .Read Then
                  strSKU = .GetString(0)
                  'Outsourced is a bit field; don't translate to Boolean
                  bytOutsourced = CByte(.Item(1))
                  curUnitPrice = .GetDecimal(2)
                  If Left(strSKU, 3) = "SPK" Then
                     bytQuan = 2
                  Else
                     bytQuan = 1
                  End If
                  If blnTransaction Then
                     'Use the cnnOrderConnection (ByRef)
                     curItemAmt = AddOrder.AddLineItemConn(cnnOrder, trnOrder, lngOrderID, bytItemID, bytQuan, strSKU, bytOutsourced, curUnitPrice, 0, 0, 0)
                  Else
                     'New connection for each line item
                     curItemAmt = AddOrder.AddLineItem(strCustServer, strCustUser, strCustPwd, lngOrderID, bytItemID, bytQuan, strSKU, bytOutsourced, curUnitPrice, 0, 0, 0)
                  End If
                  If curItemAmt > 0 Then
                     curItemsTotal = curItemsTotal + curItemAmt
                  ElseIf blnTransaction Then
                     'cnnCust.RollbackTrans()
                     trnOrder.Rollback()
                     GoTo CloseProd
                  End If
               Else
                  If blnTransaction Then
                     'cnnCust.RollbackTrans()
                     trnOrder.Rollback()
                     GoTo CloseProd
                  End If
               End If
               .Close()
            End With
         Next bytItemID
         If blnTransaction Then
            trnOrder.Commit()
         End If
         cnnOrder.Close()
         'Maintain state
         txtItemsTotal.Text = CStr(curItemsTotal)

         'Estimated 5% freight is used for validation
         curOrderTotal = CDec(1.05) * curItemsTotal

         If blnSalesTax Then
            'Assume 6% sales tax in Texas, but not on freight
            curOrderTotal = (curOrderTotal / CDec(1.05)) * CDec(1.06)
         End If
         'Try to get 2 digits
         curOrderTotal = CDec(System.Math.Round(curOrderTotal, 2))

         txtOrderTotal.Text = Format(curOrderTotal, "$#,##0.00")
         cmdVerifyCard.Enabled = True
         'cmdVerifyCard.Focus()
         'System.Windows.Forms.Application.DoEvents()

         'Call FillGrids(cnnCust, rstCust)
         Call FillGrids()
         If Not blnIsBulk Then
            txtAction.Text = "Click Verify Card to check customer credit."
         End If
      Else
         If blnTransaction Then
            trnOrder.Rollback()
         End If
      End If

CloseProd:
      cnnOrder.Close()
      sdrProd.Close()
      cnnProd.Close()
      If Trace.IsEnabled Then
         Trace.Write("End New Order " & txtOrderID.Text & " - " & CStr(bytItemID - 1) & " item(s)")
      End If
   End Sub

   Private Sub cmdVerifyCard_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdVerifyCard.Click
      'Verify the customer's credit card and credit availability
      'with OmegaBank; delete the line items if credit card declined

      Dim cnnCard As SqlConnection = New SqlConnection()
      Dim sdrCard As SqlDataReader = Nothing

      Dim OmegaBank As New OmegaBank.clsOmegaBank()
      Dim UpdateOrder As New clsUpdateOrder()
      Dim remOmegaBank As New OmegaWSRem.OmegaBank()
      Dim adoOmegaBank As New OmegaWSADO.OmegaBank()

      Dim strExpMonth As String
      Dim strExpYear As String
      Dim datExpDate As Date
      Dim strVerify As String
      Dim strStatus As String
      Dim bytStatus As Byte
      Dim strStatusMsg As String
      Dim intItems As Short
      Dim strMsg As String
      Dim strURL As String
      Dim strServer As String
      'Required to handle formatting
      Dim strOrderTotal As String

      On Error Resume Next
      If Trace.IsEnabled Then
         strMsg = "Begin Verify Card"
         If chkUseWS.Checked Then
            If chkUseOakLeaf.Checked Then
               strMsg += " - Remote oakleaf.ws services"
            Else
               strMsg += " - Local XML Web services"
            End If
         Else
            strMsg += " - Local components"
         End If
         Trace.Write(strMsg)
      End If

      cmdVerifyCard.Enabled = False

      'Retrieve state values
      lngOrderID = CInt(txtOrderID.Text)
      lngCustID = CInt(txtCustID.Text)
      bytCardID = CByte(txtCardID.Text)
      strOrderTotal = Mid(txtOrderTotal.Text, 2)
      curOrderTotal = CDec(Replace(strOrderTotal, ",", ""))

      'The customer ZIP code must match the credit-card ZIP code
      strZipCode = txtZipCode.Text

      strSQL = "SELECT CardNumber, CardType, CardName, ExpDate FROM CustCards " & "WHERE CustID = " & CStr(lngCustID) & " AND CardID = " & CStr(bytCardID)

      cnnCard.ConnectionString = "Data Source=" & strCustServer & ";Initial Catalog=OCE_Cust;UID=" & strCustUser & ";PWD=" & strCustPwd
      cnnCard.Open()
      Dim cmmCard As SqlCommand = cnnCard.CreateCommand
      With cmmCard
         .CommandType = CommandType.Text
         .CommandText = strSQL
         sdrCard = .ExecuteReader()
      End With
      With sdrCard
         If .Read Then
            'Additional cleanup on date operations done here
            datExpDate = .GetDateTime(3)
            If DateDiff(Microsoft.VisualBasic.DateInterval.Day, Today, datExpDate) < 7 Then
               'Request updated expiration date from customer
               strVerify = CStr(lngOrderID) & " Unable to process: Card expires in " & CStr(DateDiff(Microsoft.VisualBasic.DateInterval.Day, Today, CDate(datExpDate))) & " days (13)."
               .Close()
            Else
               strCardNumber = .GetString(0)
               strCardType = .GetString(1)
               strCardName = .GetString(2)
               'Maintain state for hold operation
               txtCardName.Text = strCardName
               strExpDate = .Item(3).ToString
               txtExpDate.Text = strExpDate
               .Close()
               'If blnUseWS Then
               'Retrieve state
               If chkUseWS.Checked Then
                  If chkUseOakLeaf.Checked Then
                  'If blnUseOakLeaf Then
                     'Use OakLeaf's remote Web services
                     strServer = "OAKLEAF-MS7"
                     strVerify = remOmegaBank.VerifyOrHold(strServer, strNetUser, strNetPwd, 151203, lngOrderID, strCardType, strCardNumber, strCardName, strZipCode, strExpDate, curOrderTotal, False, blnUseWS)
                  Else
                     strServer = strNetServer
                     strVerify = adoOmegaBank.VerifyOrHold(strServer, strNetUser, strNetPwd, 151203, lngOrderID, strCardType, strCardNumber, strCardName, strZipCode, strExpDate, curOrderTotal, False, blnUseWS)
                  End If
               Else
                  strVerify = OmegaBank.VerifyOrHold(strNetServer, strNetUser, strNetPwd, 151203, lngOrderID, strCardType, strCardNumber, strCardName, strZipCode, strExpDate, curOrderTotal, False, blnUseWS)
               End If
               If InStr(UCase(strVerify), "ERROR") > 0 Then
                  If InStr(strVerify, "(") > 0 Then
                     'Required to prevent overflow with negative numbers
                     strVerify = VB.Left(strVerify, InStr(strVerify, "(") - 1)
                  End If
               ElseIf Err.Number <> 0 Then
                  strVerify = Err.Description
               End If
            End If
         Else
            strVerify = CStr(lngOrderID) & " Error: Card not found in database. (0)"
            strCardType = "????"
            strCardNumber = "??????????"
            .Close()
         End If
         txtVerifyStatus.Text = strVerify
         txtCardType.Text = strCardType
         txtCardNumber.Text = strCardNumber

         'Update the order status
         If InStr(strVerify, "(") > 0 Then
            strStatus = Mid(strVerify, InStr(strVerify, "(") + 1)
            If InStr(strStatus, ")") > 0 Then
               strStatus = VB.Left(strStatus, InStr(strStatus, ")") - 1)
               bytStatus = CByte(strStatus)
            Else
               bytStatus = 0 'Unknown
            End If
         Else
            bytStatus = 0
         End If
         intItems = UpdateOrder.UpdateOrderStatus(strCustServer, strCustUser, strCustPwd, lngOrderID, bytStatus, strVerify, 0)

         If bytStatus = 12 Then
            cmdCheckStock.Enabled = True
            'cmdCheckStock.Focus()
            If Not blnIsBulk Then
               txtAction.Text = "Click Check Stock to verify inventory; apply out-of-stock business rules."
            End If
         Else
            'Delete the associated line items (mark them deleted)
            cmdCheckStock.Enabled = False
            intItems = UpdateOrder.DeleteLineItem(strCustServer, strCustUser, strCustPwd, lngOrderID, 0)
            If intItems > 0 Then
               txtAction.Text = "Send cancel e-mail to customer; " & CStr(intItems) & " line items deleted."
            ElseIf intItems = -1 Then
               txtAction.Text = "Error: Can't connect to Customers database."
            ElseIf intItems = -2 Then
               txtAction.Text = "Error: Can't execute DELETE query."
            ElseIf intItems = 0 Then
               txtAction.Text = "Error: No line items found to delete."
            End If
         End If

         'Display the result
         'Call FillGrids(cnnCust, rstCust)
         Call FillGrids()
         .Close()
      End With
      If Trace.IsEnabled Then
         strMsg = "End Verify Card - "
         If bytStatus = 12 Then
            strMsg += "Authorized"
         Else
            strMsg += "Declined"
         End If
         Trace.Write(strMsg)
      End If
   End Sub

   Private Sub cmdCheckStock_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdCheckStock.Click
      'Check stock only, inventory not committed
      Dim strMsg As String
      If Trace.IsEnabled Then
         Trace.Write("Begin Check Stock")
      End If
      Call CheckOrHoldStock(False, 0, "", blnGetUPSCharge)
      If Trace.IsEnabled Then
         strMsg = "End Check Stock - " + txtInStock.Text + " in stock; " + txtNoStock.Text + " no stock; " + txtOutsourced.Text + " outsourced"
         Trace.Write(strMsg)
      End If
   End Sub

   Private Sub CheckOrHoldStock(ByVal blnCommit As Boolean, ByVal lngHoldTransID As Integer, ByVal strTransactMsg As String, ByVal blnGetUPSCharge As Boolean)
      'Check local inventory of each line item
      'Verify distributor inventory if product outsourced
      'If partial shipments are allowed, send a message to customer;
      'otherwise, send a partial shipment request message to the customer

      Dim cnnStock As SqlConnection = New SqlConnection()
      Dim sdrStock As SqlDataReader = Nothing

      Dim ShipOrder As New clsFulfillOrder()
      Dim UPSCharges As New clsShipCost()
      Dim UpdateOrder As New clsUpdateOrder()

      Dim astrLineItems(5, 3) As String
      Dim bytRec As Byte
      Dim blnAllInStock As Boolean
      Dim sngWeight As Single
      Dim intItems As Short
      Dim blnOverweight As Boolean
      Dim strUPSResult As String
      Dim strUPSZIPCode As String
      Dim bytStatus As Byte
      Dim strStatus As String
      Dim intReccnt As Integer

      'Retrieve state: Get the OrderID value and curItemsTotal
      lngOrderID = CInt(txtOrderID.Text)
      curItemsTotal = CDec(txtItemsTotal.Text)

      cnnStock.ConnectionString = "Data Source=" & strCustServer & ";Initial Catalog=OCE_Cust;UID=" & strCustUser & ";PWD=" & strCustPwd
      cnnStock.Open()
      Dim cmmStock As SqlCommand = cnnStock.CreateCommand
      With cmmStock
         .CommandType = CommandType.Text
         .CommandText = "SELECT SKU, Quantity FROM LineItems WHERE OrderID = " & lngOrderID
         sdrStock = .ExecuteReader
      End With
      bytRec = 0
      With sdrStock
         'Get the number of records
         Do While .Read
            'Below requirement is nuts
            bytRec = CByte(bytRec + 1)
         Loop
         .Close()
      End With
      ReDim astrLineItems(bytRec, 3)
      bytRec = 0
      sdrStock = cmmStock.ExecuteReader
      With sdrStock
         'Create an array of line items and quantity (alternative to passing a Recordset)
         'Provide element 2 for stock stock (Yes/No/Out) and 3 for weight
         Do While .Read
            astrLineItems(bytRec, 0) = .GetString(0) 'SKU
            astrLineItems(bytRec, 1) = .Item(1).ToString 'Quantity
            bytRec = CByte(bytRec + 1)
         Loop
         .Close()
      End With

      'Invoke CheckOrCommit with check option (array is passed by reference)
      intItems = ShipOrder.CheckOrCommit(strProdServer, strProdUser, strProdPwd, astrLineItems, blnCommit, blnUseWS, blnUseOakLeaf, blnUseADODB)

      If intItems < 1 Then
         'Error occurred
         intItems = SuspendOrder(99, "Error checking stock (" & CStr(intItems) & ")")
         GoTo ExitCheckStock
      End If

      txtInStock.Text = "0"
      txtNoStock.Text = "0"
      txtOutsourced.Text = "0"
      txtFreight.Text = "0"

      blnAllInStock = True
      blnOverweight = False
      sngWeight = 0

      'Iterate the array and check stock status
      For bytRec = 0 To CByte(UBound(astrLineItems) - 1)
         Select Case astrLineItems(bytRec, 2)
            Case "Yes"
               txtInStock.Text = CStr(Val(txtInStock.Text) + 1)
            Case "No"
               txtNoStock.Text = CStr(Val(txtNoStock.Text) + 1)
               blnAllInStock = False
            Case ""
               'Error
            Case Else 'ALPH, BETA, GAMM
               'Update the line item OrderFrom and StatusID fields
               'StatusID 22 = Inventory Checked (Distributor)
               strSQL = "UPDATE LineItems SET OrderFrom = '" & astrLineItems(bytRec, 2) & "', StatusID = 22 " & "WHERE OrderID = " & CStr(lngOrderID) & " AND ItemID = " & CStr(bytRec + 1)
               'cnnCust.Execute(strSQL, intReccnt, ADODB.CommandTypeEnum.adCmdText)
               With cmmStock
                  .CommandText = strSQL
                  intReccnt = .ExecuteNonQuery
               End With
               If intReccnt = 1 Then
                  txtOutsourced.Text = CStr(Val(txtOutsourced.Text) + 1)
               Else
                  'Error
                  txtOutsourced.Text = "X"
               End If
         End Select
         If CSng(astrLineItems(bytRec, 3)) > 50 Then
            'Single item over 50 pounds (UPS limit)
            blnOverweight = True
         End If
         'Compute total shipment weight
         sngWeight = sngWeight + (CSng(astrLineItems(bytRec, 3)) * CSng(astrLineItems(bytRec, 1)))
      Next bytRec

      blnPartShipOK = chkPartialShipmentsOK.Checked
      If blnAllInStock Or (bytRec > 1 And blnPartShipOK) Then
         If InStr(strZipCode, "-") > 0 Then
            'UPS won't take ZIP+4
            strUPSZIPCode = VB.Left(strZipCode, InStr(strZipCode, "-") - 1)
         Else
            strUPSZIPCode = strZipCode
         End If

         curShipCharge = 0
         'Freight charge is per package, not per shipment
         'Sum charge for each package
         For bytRec = 0 To CByte(UBound(astrLineItems) - 1)
            If blnGetUPSCharge And CShort(astrLineItems(bytRec, 3)) < 50 Then
               'Another example of type coercion overkill
               strUPSResult = UPSCharges.GetUpsCost("GND", strUPSZIPCode, CShort(CShort(astrLineItems(bytRec, 3)) + 1))
               If Val(strUPSResult) > 0 Then
                  curShipCharge = curShipCharge + CDec(Val(strUPSResult))
               Else
                  'Error: Bad or no response
                  txtAction.Text = strUPSResult & " (suspend order)"
                  txtFreight.Text = ""
                  intItems = SuspendOrder(99, "UPS: " & strUPSResult)
                  GoTo ExitCheckStock
               End If
            Else
               If blnGetUPSCharge Then
                  txtAction.Text = "Requires truck shipment ($.50/lb)"
               End If
               curShipCharge = curShipCharge + CDec(0.5 * sngWeight)
            End If
         Next bytRec
         txtFreight.Text = Format(curShipCharge, "$###0.00")

         If blnCommit Then
            bytStatus = 31
            strStatus = "Order to Warehouse (Committed)"
         Else
            If blnAllInStock Then
               bytStatus = 21
               strStatus = "Inventory checked"
            Else
               bytStatus = 25
               strStatus = "Partial shipment OK"
            End If
         End If
         If blnCommit Then
            intItems = UpdateOrder.UpdateOrderStatus(strCustServer, strCustUser, strCustPwd, lngOrderID, bytStatus, strTransactMsg, lngHoldTransID)
         Else
            intItems = UpdateOrder.UpdateOrderStatus(strCustServer, strCustUser, strCustPwd, lngOrderID, bytStatus, CStr(lngOrderID) & " " & strStatus, lngHoldTransID)
         End If
         If intItems > 0 Then
            curOrderTotal = curItemsTotal
            'If blnSalesTax Then
            If chkSalesTax.Checked Then
               blnSalesTax = True
               'Assume 6% sales tax in Texas
               curOrderTotal = curOrderTotal * CDec(1.06)
            Else
               blnSalesTax = False
            End If
            curOrderTotal = CDec(System.Math.Round(curOrderTotal + curShipCharge, 2))
            'Display the result
            txtHoldAmt.Text = Format(curOrderTotal, "$#,##0.00")
            'Update order total to reflect adjusted freight charge
            txtOrderTotal.Text = txtHoldAmt.Text
            If Not blnIsBulk Then
               txtAction.Text = "Click Card/Item Hold to apply credit card hold and commit inventory"
            End If
            cmdIssueHolds.Enabled = True
            cmdCheckStock.Enabled = False
         Else
            intItems = SuspendOrder(99, "Error updating order status (" & CStr(intItems))
         End If
      Else
         txtFreight.Text = ""
         txtAction.Text = "Item out of stock; send e-mail to customer (suspend order)"
         intItems = SuspendOrder(23, "Item out of stock, request partial shipment")
         'ToDo: intItems test
      End If

ExitCheckStock:
      'Refresh the grids
      cmdCheckStock.Enabled = False
      Call FillGrids()
      If Not blnIsBulk Then
         'Call FillGrids(cnnCust, rstCust)
      End If
   End Sub

   Private Sub cmdIssueHolds_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdIssueHolds.Click
      'Apply credit-card hold for total order amount
      'Commit inventory items

      Dim OmegaBank As New OmegaBank.clsOmegaBank()
      Dim remOmegaBank As New OmegaWSRem.OmegaBank()
      Dim adoOmegaBank As New OmegaWSADO.OmegaBank()

      Dim strHold As String
      Dim strTemp As String
      Dim lngTransactID As Integer
      Dim intItems As Short
      Dim strURL As String
      Dim strServer As String
      'Added to handle formatting
      Dim strOrderTotal As String
      Dim strMsg As String = "End Issue Holds - "

      If Trace.IsEnabled Then
         Trace.Write("Begin Credit Card and Inventory Holds")
      End If

      'Retrieve values
      lngOrderID = CInt(txtOrderID.Text)
      strCardType = txtCardType.Text
      strCardNumber = txtCardNumber.Text
      strCardName = txtCardName.Text
      strExpDate = txtExpDate.Text
      strZipCode = txtZipCode.Text
      strOrderTotal = Mid(txtOrderTotal.Text, 2)
      curOrderTotal = CDec(Replace(strOrderTotal, ",", ""))

      'If blnUseWS Then
      'Retrieve state
      If chkUseWS.Checked Then
         'If blnUseOakLeaf Then
         If chkUseOakLeaf.Checked Then
            'Use OakLeaf's remote Web services
            strServer = "OAKLEAF-MS7"
            strHold = remOmegaBank.VerifyOrHold(strServer, strNetUser, strNetPwd, 151203, lngOrderID, strCardType, strCardNumber, strCardName, strZipCode, strExpDate, curOrderTotal, True, blnUseWS)
         Else
            strServer = strNetServer
            strHold = adoOmegaBank.VerifyOrHold(strServer, strNetUser, strNetPwd, 151203, lngOrderID, strCardType, strCardNumber, strCardName, strZipCode, strExpDate, curOrderTotal, True, blnUseWS)
         End If
      Else
         strHold = OmegaBank.VerifyOrHold(strNetServer, strNetUser, strNetPwd, 151203, lngOrderID, strCardType, strCardNumber, strCardName, strZipCode, strExpDate, curOrderTotal, True, blnUseWS)
      End If
      If Err.Number <> 0 Then
         strHold = Err.Description
      End If

      txtHoldMsg.Text = strHold
      If InStr(strHold, " TRID ") = 0 Then
         'Credit card bounced or error occured
         If Val(strHold) > 0 Then
            'Remove the order ID
            strHold = Mid(strHold, InStr(strHold, " ") + 1)
         End If
         intItems = SuspendOrder(99, strHold)
         strMsg += "Credit card hold failed"
      Else
         strTemp = Mid(strHold, InStr(strHold, " TRID ") + 6)
         strTemp = VB.Left(strTemp, InStr(strTemp, " ") - 1)
         lngTransactID = CInt(strTemp)
         'Commit the inventory
         Call CheckOrHoldStock(True, lngTransactID, strHold, blnGetUPSCharge)
         If txtOutsourced.Text = "0" Then
            strMsg += "Stock committed and card hold applied"
         Else
            strMsg += "Stock committed/checked; card hold applied"
         End If
      End If
      cmdIssueHolds.Enabled = False
      cmdShipOrder.Enabled = True
      'Call FillGrids(cnnCust, rstCust)
      Call FillGrids()
      If Not blnIsBulk Then
         txtAction.Text = "Click Ship/Bill Order to ship item(s) and charge card"
         'Display the result
      End If
      If Trace.IsEnabled Then
         Trace.Write(strMsg)
      End If
   End Sub

    '************************
   '*** Order Processing ***
   '************************

   Private Sub cmdShipOrder_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdShipOrder.Click
      'ShipItems function handles shipment processing
      Dim ShipOrder As New clsFulfillOrder()
      Dim strAmount As String

      If Trace.IsEnabled Then
         Trace.Write("Begin Ship Order")
      End If

      'Retrieve state
      lngOrderID = CInt(txtOrderID.Text)
      strCardNumber = txtCardNumber.Text
      blnGetUPSCharge = chkGetUPS.Checked

      strAmount = ShipOrder.ShipItems(strCustServer, strCustUser, strCustPwd, strProdServer, strProdUser, strProdPwd, strNetServer, strNetUser, strNetPwd, strNetIP, lngOrderID, strCardNumber, blnGetUPSCharge, blnUseWS, blnUseOakLeaf, blnUseADODB)
      txtAction.Text = strAmount
      'Display the result
      If InStr(strAmount, "$") > 0 Then
         strAmount = Mid(strAmount, InStr(strAmount, "$"))
         strAmount = VB.Left(strAmount, InStr(strAmount, ";") - 1)
         txtOrderTotal.Text = strAmount
         txtHoldAmt.Text = strAmount
      End If
      'Call FillGrids(cnnCust, rstCust)
      Call FillGrids()

      'Timing data (handles rollover) - modified for single-order operation
      'If VB.Timer() > sngTimer Then
      'Retrieve state
      'If VB.Timer() > CSng(txtTimer.Text)
      If VB.Timer() > CSng(txtTimer.Text) And cmdHaltBulk.Enabled Then
         'Following is required to clear the name value
         If Val(txtTimer.Text) = 0 Then
            txtTimer.Text = "0"
         End If
         If Val(txtCompleted.Text) = 0 Then
            txtCompleted.Text = "0"
         End If
         If Val(txtTotalTime.Text) = 0 Then
            txtTotalTime.Text = "0"
         End If

         sngTimer = CSng(VB.Timer()) - CSng(txtTimer.Text)
         txtAction.Text = txtAction.Text + " - " & Format(sngTimer, "#0.000") & " secs."
         'Only time outsourced orders when using remote services
         'If chkUseOakLeaf.CheckState = 0 Or (chkUseOakLeaf.CheckState = 1 And CByte(txtOutsourced.Text) > 0) Then
         'The following is a bit convoluted
         lngCompleted = CInt(txtCompleted.Text)
         lngCompleted = lngCompleted + 1
         txtCompleted.Text = CStr(lngCompleted)
         sngTotalTime = CSng(txtTotalTime.Text)
         sngTotalTime = sngTotalTime + sngTimer
         txtTotalTime.Text = CStr(sngTotalTime)
         End If
      cmdShipOrder.Enabled = False
      If Trace.IsEnabled Then
         Trace.Write("End Ship Order - Order complete")
      End If
   End Sub

   '**************************
   '*** Utility Procedures ***
   '**************************

   Private Sub FillGrids()
      Dim cnnGrids As New SqlConnection(strCustConn)
      Dim dtItems As New DataTable("LineItems")
      Dim dtOrder As New DataTable("Order")
      Dim dtCustomer As New DataTable("Customer")
      Dim sdrOrder As SqlDataReader
      Dim sdrCustomer As SqlDataReader
      Dim drOrder As DataRow
      Dim drCustomer As DataRow
      Dim intCtr As Integer
      Dim strReqdDate As String

      If Trace.IsEnabled Then
         Trace.Write("* Start Fill Data Grids")
      End If

      cnnGrids.Open()
      'Fill the line items grid
      strSQL = "SELECT ItemID AS [#], Quantity AS Quan, SKU, Outsourced AS [Out?], UnitPrice AS Price, StatusID AS Status, OrderFrom AS Dist FROM LineItems WHERE OrderID = " & txtOrderID.Text
      Dim daItems As New SqlDataAdapter(strSQL, cnnGrids)
      daItems.Fill(dtItems)
      With dgItems
         .DataSource = dtItems
         .DataBind()
      End With

      'Create a DataTable from scratch
      With dtOrder
         'Define two columns
         .Columns.Add("Column Name", Type.GetType("System.String"))
         .Columns.Add("Value", Type.GetType("System.String"))
      End With

      'Create an SqlDataReader for the Orders data
      strSQL = "SELECT * FROM Orders WHERE OrderID = " & txtOrderID.Text
      Dim cmmOrder As SqlCommand = cnnGrids.CreateCommand
      With cmmOrder
         .CommandType = CommandType.Text
         .CommandText = strSQL
         sdrOrder = .ExecuteReader
      End With
      With sdrOrder
        .Read()
         For intCtr = 0 To .FieldCount - 1
            'Loop through the fields
            drOrder = dtOrder.NewRow
            drOrder(0) = .GetName(intCtr)
            If intCtr = 3 Then
               strReqdDate = .Item(intCtr).ToString
               If InStr(strReqdDate, " ") > 0 Then
                  'Don't include the time
                  drOrder(1) = Left(strReqdDate, InStr(strReqdDate, " ") - 1)
               End If
            Else
               drOrder(1) = .Item(intCtr).ToString
            End If
            dtOrder.Rows.Add(drOrder)
         Next intCtr
      End With
      With dgOrder
         .DataSource = dtOrder
         .DataBind()
      End With
      sdrOrder.Close()

      With dtCustomer
         'Define two columns
         .Columns.Add("Column Name", Type.GetType("System.String"))
         .Columns.Add("Value", Type.GetType("System.String"))
      End With

      'Create an SqlDataReader for the Customers data
      strSQL = "SELECT * FROM Customers WHERE CustID = " & txtCustID.Text
      'Reuse the cmmOrder object
      With cmmOrder
         .CommandType = CommandType.Text
         .CommandText = strSQL
         sdrCustomer = .ExecuteReader
      End With
      With sdrCustomer
        .Read()
         For intCtr = 0 To .FieldCount - 1
            'Loop through the fields
            drCustomer = dtCustomer.NewRow
            drCustomer(0) = .GetName(intCtr)
            If intCtr = 9 Then
               drCustomer(1) = "********"
            Else
               drCustomer(1) = .Item(intCtr).ToString
            End If
            dtCustomer.Rows.Add(drCustomer)
         Next intCtr
      End With

      cnnGrids.Close()
      With dgCustomer
         .DataSource = dtCustomer
         .DataBind()
      End With

      If Trace.IsEnabled Then
         Trace.Write("* End Fill Data Grids")
      End If
   End Sub

   'Private Sub chkGetUPS_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles chkGetUPS.CheckStateChanged
   Private Sub chkGetUPS_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles chkGetUPS.CheckedChanged
      'Enable or disable Internet retrieval of UPS charges
      'If chkGetUPS.CheckState = 1 Then
      If chkGetUPS.Checked Then
         blnGetUPSCharge = True
      Else
         blnGetUPSCharge = False
      End If
   End Sub

   Private Sub chkUseWS_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles chkUseWS.CheckedChanged
      'Enable or disable OmegaBank, AlphaDist, BetaDist, and GammaDist XML Web Services
      'If chkUseWS.CheckState = 0 Then
      If chkUseWS.Checked = False Then
         blnUseWS = False
         chkUseOakLeaf.Visible = False
         'chkUseIP.Visible = False
      Else
         blnUseWS = True
         chkUseOakLeaf.Visible = True
      End If
   End Sub

   Private Sub chkUseOakLeaf_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles chkUseOakLeaf.CheckedChanged
      'Connect to remote oakleaf.ws services
      'If chkUseOakLeaf.CheckState = 0 Then
      If chkUseOakLeaf.Checked = False Then
         blnUseOakLeaf = False
         'chkUseIP.Visible = False
      Else
         blnUseOakLeaf = True
         'chkUseIP.Visible = True
      End If
   End Sub

   Private Function SuspendOrder(ByVal bytStatus As Byte, ByVal strReason As String) As Short
      'Change order status as result of operating error
      Dim UpdateOrder As New clsUpdateOrder()

      'OrderID prefix is required for async operations
      SuspendOrder = UpdateOrder.UpdateOrderStatus(strCustServer, strCustUser, strCustPwd, lngOrderID, bytStatus, CStr(lngOrderID) & " " & strReason, 0)
   End Function

   '***********************
   '*** Bulk Operations ***
   '***********************

   Private Sub cmdBulkOrders_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdBulkOrders.Click
      'Add a complete order, no longer a continuous operation
      lngCompleted = 0
      sngTotalTime = 0
      'Set initial state
      'If Val(txtCompleted.Text) = 0 Then
      '   txtCompleted.Text = "0"
      'End If
      'If Val(txtTotalTime.Text) = 0 Then
      '   txtTotalTime.Text = "0"
      'End If

      'cmdBulkOrders.Enabled = False
      cmdHaltBulk.Enabled = True
      cmdNewOrder.Enabled = False
      cmdInitialize.Enabled = False
      'adgOrder.Visible = False
      'adgItems.Visible = False
      blnIsBulk = True

      'Do ... Loop removed 
      Call cmdNewOrder_Click(cmdNewOrder, New System.EventArgs())
      'System.Windows.Forms.Application.DoEvents()
      If cmdVerifyCard.Enabled Then
         Call cmdVerifyCard_Click(cmdVerifyCard, New System.EventArgs())
      End If
      'System.Windows.Forms.Application.DoEvents()
      If cmdCheckStock.Enabled Then
         Call cmdCheckStock_Click(cmdCheckStock, New System.EventArgs())
      Else
         'For intCtr = 0 To 30000
            'Allow display of declined messages
            'System.Windows.Forms.Application.DoEvents()
         'Next intCtr
      End If
      'System.Windows.Forms.Application.DoEvents()
      If cmdIssueHolds.Enabled Then
         Call cmdIssueHolds_Click(cmdIssueHolds, New System.EventArgs())
      End If
      'System.Windows.Forms.Application.DoEvents()
      If cmdShipOrder.Enabled Then
         Call cmdShipOrder_Click(cmdShipOrder, New System.EventArgs())
      End If
      'System.Windows.Forms.Application.DoEvents()
      'Call Cleanup() - no longer required
      'If Not blnIsBulk Then
         'Exit Do
      'End If
      'Call EndBulkOps() - moved to cmdHaltBulk
   End Sub

   Private Sub cmdHaltBulk_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdHaltBulk.Click
      'Reset UI and display results
      cmdHaltBulk.Enabled = False
      cmdBulkOrders.Enabled = True
      cmdNewOrder.Enabled = True
      cmdInitialize.Enabled = True
      'adgOrder.Visible = False
      'adgItems.Visible = False
      'System.Windows.Forms.Application.DoEvents()
      'If lngCompleted > 0 Then
      If Val(txtCompleted.Text) > 0 Then
         'Display the results
         'If blnUseOakLeaf Then
         'If chkUseOakLeaf.Checked Then
            'txtAction.Text = CStr(lngCompleted) & " outsourced orders in " & Format(sngTotalTime, "#,##0.0") & " seconds; average time = " & Format(sngTotalTime / CSng(lngCompleted), "#0.000") & " sec."
            'txtAction.Text = txtCompleted.Text & " outsourced order(s) in " & Format(CSng(txtTotalTime.Text), "#,##0.0") & " seconds; average time = " & Format(CSng(txtTotalTime.Text) / CSng(txtCompleted.Text), "#0.000") & " sec."
         'Else
            'txtAction.Text = CStr(lngCompleted) & " orders processed in " & Format(sngTotalTime, "#,##0.0") & " seconds; average time = " & Format(sngTotalTime / CSng(lngCompleted), "#0.000") & " seconds"
            txtAction.Text = txtCompleted.Text & " order(s) processed in " & Format(CSng(txtTotalTime.Text), "#,##0.0") & " seconds; average time = " & Format(CSng(txtTotalTime.Text) / CSng(txtCompleted.Text), "#0.000") & " sec."
         'End If
      Else
         'If blnUseOakLeaf Then
         'If chkUseOakLeaf.Checked Then
            'txtAction.Text = "No outsourced orders processed"
         'Else
            txtAction.Text = "No orders processed"
         'End If
      End If

      'Web service checkbox housekeeping
      chkUseWS.Visible = True
      'If chkUseWS.CheckState = 1 Then
      If chkUseWS.Checked Then
         chkUseOakLeaf.Visible = True
         'If chkUseOakLeaf.CheckState = 1 Then
         If chkUseOakLeaf.Checked Then
            'chkUseIP.Visible = True
         End If
      Else
         chkUseOakLeaf.Visible = False
         'chkUseIP.Visible = False
      End If
   End Sub
End Class
