<%@ Page trace="false" aspcompat="true" LANGUAGE="vb" ENABLESESSIONSTATE="False" CodeBehind="Help.aspx.vb" AutoEventWireup="false" Inherits="final.Help" %>
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en' lang='en'>
	<head>
		<title>Navigating the OakLeaf Systems U.S. Code of Federal Regulations Site </title>
		<meta name="description" content="The OakLeaf Systems Web site offers examples of production-grade XML Web services for retrieving and updating data in Microsoft SQL Server 2000 databases. Visual Studio .NET's ASP.NET and Visual Basic .NET generate the site's Web pages and services. The examples include services that create and retrieve XML documents persisted in a 1-GB database and transform the XML content to well-formed XHTML for presentation." />
		<meta name='keywords' content='xml, xml web services, web services, visual studio .net, visual basic .net, visual studio, visual basic, asp.net, ado.net, database, databases, sql server, sql server 2000, full-text search, text search, search, wsdl, wsml, asmx, aspx, microsoft, u.s. code, u.s. code of federal regulations, code of federal regulations, cfr, u.s. cfr, osborne, mcgraw-hill, McGraw-Hill/Osborne, isbn 0-07-222369-3, 0-07-222369-3, isbn 0072223693, 0072223693, computers, computing, windows, windows 2000, book, computer book, computer books, roger jennings, jennings' />
		<link rel='stylesheet' href='CFRSect.css' type='text/css' />
	</head>
	<body>
		<table width='100%' border='0' cellpadding='0' cellspacing='0' align='center'>
			<tr>
				<td height='80px' width='70px' padding-left='0px' padding-right='0px'>
					<img src='OakLeaf.gif' height='80px' width='70px' border='0' />
				</td>
				<td>
					OakLeaf Systems
					<br />
					Online U.S. Code of Federal Regulations Delivered by
					<br />
					An XML Web Service from <i>Visual Basic .NET XML Web Services Developer's Guide</i>
					<br />
					McGraw-Hill/Osborne ISBN 0-07-222369-3 (To be published in Spring 2002)
				</td>
			</tr>
		</table>
		<table width='100%' border='0' align='center'>
			<tr>
				<th colspan='2'>
					Instructions for Navigating the OakLeaf CFR Site and Links to Interesting 
					Sections</th>
			</tr>
			<tbody style='behavior:url(CFRToc.htc)' slColor='d0d0e0' hlColor='e8e8f8' txColor='#266294'>
				<tr id='tocHome' valign='middle'>
					<td>
						CONTENTS
					</td>
					<td>
						Display the list of CFR Titles at the top level of the TOC
					</td>
				</tr>
				<tr id='search' valign='middle'>
					<td>
						SEARCH
					</td>
					<td>
						Go to the Full-Text Search page
					</td>
				</tr>
				<tr id='home' valign='middle'>
					<td>
						HOME
					</td>
					<td>
						Get assistance with navigating the OakLeaf CFR site
					</td>
				</tr>
				<tr id='about' valign='middle'>
					<td>
						ABOUT
					</td>
					<td>
						Learn about OakLeaf Systems' XML Web services
					</td>
				</tr>
			</tbody>
		</table>
		<hr width='100%' color='#266294' align='center' />
		<div class='Text'>
			<p class='para9'>
				<b>Navigating the OakLeaf CFR Site</b>
			</p>
			<p class='para9'>
				Tables of contents are the primary navigation method for the OakLeaf CFR site. 
				Clicking the CONTENTS link of the Home, About, or this Help page displays the:
				<ul>
					<li>
						<b><i>Titles Page -</i></b> A list of the titles and subtitles of the CFR. (Two 
						titles are reserved.) You can return to the titles TOC from any TOC lower in 
						the hierarchy. If you click a reserved title or a title that has subtitles, you 
						receive an alert. Clicking an active element usually opens the:
					</li>
					<li>
						<b><i>Chapters Page -</i></b> A list of the chapters and subchapters, if 
						present, of the selected title or subtitle. Clicking a chapter or subchapter 
						opens the:
					</li>
					<li>
						<b><i>Parts Page -</i></b> A list of the parts contained in the chapter or 
						subchapter. In some cases, for example Title 7 - Agriculture, clicking a 
						subtitle leads directly to the parts page, because the subtitle has no 
						chapters. Clicking a part opens the:
					</li>
					<li>
						<b><i>Section Page -</i></b> A list of the sections and, if present, appendices 
						of the part. Clicking any item in the list displays the text of the section or 
						appendix. Navigation rows of the section let you return to the title, subtitle 
						(if applicable), chapter, subchapter (if applicable), or part TOC.
					</li>
				</ul>
			</p>
			<p class='para9'>
				The Search page returns a list of hits based on the search term you enter. If 
				you don't include section text in your search, parts (or a higher level you 
				select in the Level list box) appear first in the hit list. Clicking any item 
				in the list opens the TOC at the specified level. If you mark the Section Text 
				check box, sections appear first in the list and clicking these items displays 
				the section text.
			</p>
			<p class='para9'>
				Sections have navigation rows that you can click to display the TOC for the 
				section's part, subchapter, chapter, subtitle and title. Some parts fall 
				directly under a subtitle.
			</p>
		</div>
		<hr width='100%' color='#266294' align='center' />
		<table width='100%' border='0' align='center'>
			<tr>
				<th colspan='2'>
					Links to Some Sections and Tables of Contents of General Interest</th>
			</tr>
			<tbody style='behavior:url(CFRToc.htc)' slColor='#d0d0d0' hlColor='#e8e8e8' txColor='#266294'>
				<tr id='ti14st_ch1scFpn107' class='Normal'>
					<td width='15%'>
						14CFR107
					</td>
					<td>
						FAA - Airport Security Regulations (TOC for Title 14 Part 107)
					</td>
				</tr>
				<tr id='ti14pn107sn3' class='Normal'>
					<td width='15%'>
						14CFR107.3
					</td>
					<td>
						FAA - Security Programs for Airports
					</td>
				</tr>
				<tr id='ti14pn139sn325' class='Normal'>
					<td width='15%'>
						14CFR139.325
					</td>
					<td>
						FAA - Airport Emergency Plan Requlations
					</td>
				</tr>
				<tr id='ti14st_ch1scFpn108' class='Normal'>
					<td width='15%'>
						14CFR108
					</td>
					<td>
						FAA - Airplane Operator Security (TOC for Title 14 Part 108)
					</td>
				</tr>
				<tr id='ti14pn129sn25' class='Normal'>
					<td width='15%'>
						14CFR129.25
					</td>
					<td>
						FAA - Aircraft Security Regulations
					</td>
				</tr>
				<tr id='ti31stBch5sc_pn595' class='Normal'>
					<td width='15%'>
						31CFR595
					</td>
					<td>
						Department of the Treasury - Terrorism Sanctions (TOC)
					</td>
				</tr>
				<tr id='ti31stBch5sc_pn596' class='Normal'>
					<td width='15%'>
						31CFR596
					</td>
					<td>
						Department of the Treasury - Government Terrorism Sanctions (TOC)
					</td>
				</tr>
				<tr id='ti31stBch5sc_pn597' class='Normal'>
					<td width='15%'>
						31CFR597
					</td>
					<td>
						Department of the Treasury - Foreign Terrorist Organization Sanctions (TOC)
					</td>
				</tr>
				<tr id='ti21pn101sn9' class='Normal'>
					<td width='15%'>
						21CFR101.9
					</td>
					<td>
						FDA - Nutritional Labeling of Food
					</td>
				</tr>
				<tr id='ti21pn101sn62' class='Normal'>
					<td width='15%'>
						21CFR101.62
					</td>
					<td>
						FDA - Nutrient Content Claims for Fat, Fatty Acid, and Cholesterol Content
					</td>
				</tr>
				<tr id='ti9pn317sn309' class='Normal'>
					<td width='15%'>
						9CFR317.309
					</td>
					<td>
						USDA - Nutritional Labeling of Food
					</td>
				</tr>
				<tr id='ti9pn317sn356' class='Normal'>
					<td width='15%'>
						9CFR317.356
					</td>
					<td>
						USDA - Nutrient Content Claims for "Light" or "Lite" Foods
					</td>
				</tr>
				<tr id='ti7pn210sn10' class='Normal'>
					<td width='15%'>
						7CFR210.10
					</td>
					<td>
						USDA - Nutrition Standards and Menu Planning for School Lunches
					</td>
				</tr>
				<tr id='ti21pn165sn110' class='Normal'>
					<td width='15%'>
						21CFR165.110
					</td>
					<td>
						FDA - Definition and Requirements for Bottled Water
					</td>
				</tr>
				<tr id='ti21pn202sn1' class='Normal'>
					<td width='15%'>
						21CFR202.1
					</td>
					<td>
						FDA - Requirements for Prescription-Drug Advertisements
					</td>
				</tr>
				<tr id='ti47pn15sn19' class='Normal'>
					<td width='15%'>
						47CFR15.19
					</td>
					<td>
						FCC - Labeling of &#34;Digital Cable-Ready&#34;Television Receivers
					</td>
				</tr>
				<tr id='ti12pn3snAppA' class='Normal'>
					<td width='15%'>
						12CFR3.AppA
					</td>
					<td>
						Comptroller of the Currency - Example of a Detailed Appendix
					</td>
				</tr>
			</tbody>
		</table>
		<hr width='100%' color='#266294' align='center' />
		<!--#include File="HelpText.htm" -->
		<!--#include File="Copyright.htm" -->
	</body>
</html>
